# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.sysds.api.DMLException
Modifier and Type
Constant Field
Value
`public static final String`
`ERROR_MSG_DELIMITER`
`" : "`

org.apache.sysds.api.mlcontext.MLContextUtil
Modifier and Type
Constant Field
Value
`public static final String`
`BUILD_TIME_NOT_AVAILABLE`
`"Build time not available"`
`public static final String`
`VERSION_NOT_AVAILABLE`
`"Version not available"`

org.apache.sysds.conf.DMLConfig
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_PREFETCH`
`"sysds.async.prefetch"`
`public static final String`
`ASYNC_SPARK_BROADCAST`
`"sysds.async.broadcast"`
`public static final String`
`ASYNC_SPARK_CHECKPOINT`
`"sysds.async.checkpoint"`
`public static final String`
`AVAILABLE_GPUS`
`"sysds.gpu.availableGPUs"`
`public static final String`
`BUFFERPOOL_LIMIT`
`"sysds.caching.bufferpoollimit"`
`public static final String`
`CODEGEN`
`"sysds.codegen.enabled"`
`public static final String`
`CODEGEN_API`
`"sysds.codegen.api"`
`public static final String`
`CODEGEN_COMPILER`
`"sysds.codegen.compiler"`
`public static final String`
`CODEGEN_LITERALS`
`"sysds.codegen.literals"`
`public static final String`
`CODEGEN_OPTIMIZER`
`"sysds.codegen.optimizer"`
`public static final String`
`CODEGEN_PLANCACHE`
`"sysds.codegen.plancache"`
`public static final String`
`COMPILERASSISTED_RW`
`"sysds.lineage.compilerassisted"`
`public static final String`
`COMPRESSED_COCODE`
`"sysds.compressed.cocode"`
`public static final String`
`COMPRESSED_COST_MODEL`
`"sysds.compressed.costmodel"`
`public static final String`
`COMPRESSED_LINALG`
`"sysds.compressed.linalg"`
`public static final String`
`COMPRESSED_LINALG_INTERMEDIATE`
`"sysds.compressed.linalg.intermediate"`
`public static final String`
`COMPRESSED_LOSSY`
`"sysds.compressed.lossy"`
`public static final String`
`COMPRESSED_OVERLAPPING`
`"sysds.compressed.overlapping"`
`public static final String`
`COMPRESSED_SAMPLING_RATIO`
`"sysds.compressed.sampling.ratio"`
`public static final String`
`COMPRESSED_SOFT_REFERENCE_COUNT`
`"sysds.compressed.softreferencecount"`
`public static final String`
`COMPRESSED_TRANSFORMENCODE`
`"sysds.compressed.transformencode"`
`public static final String`
`COMPRESSED_TRANSPOSE`
`"sysds.compressed.transpose"`
`public static final String`
`COMPRESSED_VALID_COMPRESSIONS`
`"sysds.compressed.valid.compressions"`
`public static final String`
`CP_PARALLEL_IO`
`"sysds.cp.parallel.io"`
`public static final String`
`CP_PARALLEL_OPS`
`"sysds.cp.parallel.ops"`
`public static final String`
`DAG_LINEARIZATION`
`"sysds.compile.linearization"`
`public static final String`
`DEFAULT_BLOCK_SIZE`
`"sysds.defaultblocksize"`
`public static final String`
`DEFAULT_FEDERATED_INITIALIZATION_TIMEOUT`
`"sysds.federated.initialization.timeout"`
`public static final int`
`DEFAULT_FEDERATED_PORT`
`4040`
`public static final int`
`DEFAULT_NUMBER_OF_FEDERATED_WORKER_THREADS`
`8`
`public static final String`
`DEFAULT_SHARED_DIR_PERMISSION`
`"777"`
`public static final String`
`DEFAULT_SYSTEMDS_CONFIG_FILEPATH`
`"./SystemDS-config.xml"`
`public static final String`
`DELTA_READER_BATCH_SIZE`
`"sysds.io.delta.reader.batchsize"`
`public static final String`
`DELTA_WRITER_ADAPTIVE_FILE_SIZE`
`"sysds.io.delta.writer.adaptivefilesize"`
`public static final String`
`DELTA_WRITER_BATCH_SIZE`
`"sysds.io.delta.writer.batchsize"`
`public static final String`
`DELTA_WRITER_TARGET_FILE_SIZE`
`"sysds.io.delta.writer.targetfilesize"`
`public static final String`
`EAGER_CUDA_FREE`
`"sysds.gpu.eager.cudaFree"`
`public static final String`
`EVICTION_SHADOW_BUFFERSIZE`
`"sysds.gpu.eviction.shadow.bufferSize"`
`public static final String`
`FEDERATED_COMPRESSION`
`"sysds.federated.compression"`
`public static final String`
`FEDERATED_MONITOR_FREQUENCY`
`"sysds.federated.monitorFreq"`
`public static final String`
`FEDERATED_PAR_CONN`
`"sysds.federated.par_conn"`
`public static final String`
`FEDERATED_PAR_INST`
`"sysds.federated.par_inst"`
`public static final String`
`FEDERATED_PLANNER`
`"sysds.federated.planner"`
`public static final String`
`FEDERATED_READCACHE`
`"sysds.federated.readcache"`
`public static final String`
`FEDERATED_TIMEOUT`
`"sysds.federated.timeout"`
`public static final String`
`FLOATING_POINT_PRECISION`
`"sysds.floating.point.precision"`
`public static final String`
`FRAME_TO_MATRIX_WARN_CAST`
`"sysds.frame.tomatrix.warncast"`
`public static final String`
`GPU_EVICTION_POLICY`
`"sysds.gpu.eviction.policy"`
`public static final String`
`GPU_MEMORY_ALLOCATOR`
`"sysds.gpu.memory.allocator"`
`public static final String`
`GPU_MEMORY_UTILIZATION_FACTOR`
`"sysds.gpu.memory.util.factor"`
`public static final String`
`GPU_RULE_BASED_PLACEMENT`
`"sysds.gpu.place.rulebased"`
`public static final String`
`IO_COMPRESSION_CODEC`
`"sysds.io.compression.encoding"`
`public static final String`
`LINEAGECACHESPILL`
`"sysds.lineage.cachespill"`
`public static final String`
`LOCAL_SPARK_NUM_THREADS`
`"sysds.local.spark.number.threads"`
`public static final String`
`LOCAL_TMP_DIR`
`"sysds.localtmpdir"`
`public static final String`
`MEMORY_MANAGER`
`"sysds.caching.memorymanager"`
`public static final String`
`NATIVE_BLAS`
`"sysds.native.blas"`
`public static final String`
`NATIVE_BLAS_DIR`
`"sysds.native.blas.directory"`
`public static final String`
`OPTIMIZATION_LEVEL`
`"sysds.optlevel"`
`public static final String`
`PARALLEL_ENCODE`
`"sysds.parallel.encode"`
`public static final String`
`PARALLEL_ENCODE_APPLY_BLOCKS`
`"sysds.parallel.encode.applyBlocks"`
`public static final String`
`PARALLEL_ENCODE_BUILD_BLOCKS`
`"sysds.parallel.encode.buildBlocks"`
`public static final String`
`PARALLEL_ENCODE_NUM_THREADS`
`"sysds.parallel.encode.numThreads"`
`public static final String`
`PARALLEL_ENCODE_STAGED`
`"sysds.parallel.encode.staged"`
`public static final String`
`PARALLEL_TOKENIZE`
`"sysds.parallel.tokenize"`
`public static final String`
`PARALLEL_TOKENIZE_NUM_BLOCKS`
`"sysds.parallel.tokenize.numBlocks"`
`public static final String`
`PRINT_GPU_MEMORY_INFO`
`"sysds.gpu.print.memoryInfo"`
`public static final String`
`PRIVACY_CONSTRAINT_MOCK`
`"sysds.federated.priv_mock"`
`public static final String`
`SCRATCH_SPACE`
`"sysds.scratch"`
`public static final String`
`STATS_MAX_WRAP_LEN`
`"sysds.stats.maxWrapLength"`
`public static final String`
`SYNCHRONIZE_GPU`
`"sysds.gpu.sync.postProcess"`
`public static final String`
`USE_LOCAL_SPARK_CONFIG`
`"sysds.local.spark"`
`public static final String`
`USE_SSL_FEDERATED_COMMUNICATION`
`"sysds.federated.ssl"`

org.apache.sysds.hops.AggBinaryOp
Modifier and Type
Constant Field
Value
`public static final double`
`MAPMULT_MEM_MULTIPLIER`
`1.0`
org.apache.sysds.hops.BinaryOp
Modifier and Type
Constant Field
Value
`public static final double`
`APPEND_MEM_MULTIPLIER`
`1.0`
org.apache.sysds.hops.DataGenOp
Modifier and Type
Constant Field
Value
`public static final long`
`UNSPECIFIED_SEED`
`-1L`
org.apache.sysds.hops.FunctionOp
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"fcall"`
org.apache.sysds.hops.Hop
Modifier and Type
Constant Field
Value
`public static final long`
`CPThreshold`
`2000L`
org.apache.sysds.hops.OptimizerUtils
Modifier and Type
Constant Field
Value
`public static final boolean`
`ALLOW_COMBINE_FILE_INPUT_FORMAT`
`true`
`public static final long`
`BOOLEAN_SIZE`
`1L`
`public static final long`
`CHAR_SIZE`
`1L`
`public static final int`
`DEFAULT_BLOCKSIZE`
`1000`
`public static final int`
`DEFAULT_FRAME_BLOCKSIZE`
`1000`
`public static final long`
`DOUBLE_SIZE`
`8L`
`public static final long`
`INT_SIZE`
`4L`
`public static final double`
`INVALID_SIZE`
`-1.0`
`public static final long`
`MAX_NUMCELLS_CP_DENSE`
`2147483647L`
`public static final double`
`PARALLEL_CP_READ_PARALLELISM_MULTIPLIER`
`1.0`
`public static final double`
`PARALLEL_CP_WRITE_PARALLELISM_MULTIPLIER`
`1.0`
`public static final long`
`SAFE_REP_CHANGE_THRES`
`8388608L`

org.apache.sysds.hops.codegen.SpoofCompiler
Modifier and Type
Constant Field
Value
`public static final int`
`PLAN_CACHE_SIZE`
`1024`
`public static final boolean`
`PRUNE_REDUNDANT_PLANS`
`true`
`public static final boolean`
`RECOMPILE_CODEGEN`
`true`

org.apache.sysds.hops.codegen.cplan.CNodeCell
Modifier and Type
Constant Field
Value
`public static final String`
`JAVA_TEMPLATE`
`"package codegen;\nimport org.apache.sysds.runtime.codegen.LibSpoofPrimitives;\nimport org.apache.sysds.runtime.codegen.SpoofCellwise;\nimport org.apache.sysds.runtime.codegen.SpoofCellwise.AggOp;\nimport org.apache.sysds.runtime.codegen.SpoofCellwise.CellType;\nimport org.apache.sysds.runtime.codegen.SpoofOperator.SideInput;\nimport org.apache.commons.math3.util.FastMath;\n\npublic final class %TMP% extends SpoofCellwise {\n public %TMP%() {\n super(CellType.%TYPE%, %SPARSE_SAFE%, %SEQ%, %AGG_OP_NAME%);\n }\n protected double genexec(double a, SideInput[] b, double[] scalars, int m, int n, long grix, int rix, int cix) { \n%BODY_dense% return %OUT%;\n }\n}\n"`

org.apache.sysds.hops.codegen.opt.PlanSelectionFuseCostBasedV2
Modifier and Type
Constant Field
Value
`public static final double`
`COST_MIN_EPS`
`0.01`
`public static final int`
`COST_MIN_EPS_NUM_POINTS`
`20`

org.apache.sysds.hops.cost.CostEstimatorStaticRuntime
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_MBS_HDFSREAD_BINARYBLOCK_SPARSE`
`75.0`

org.apache.sysds.hops.estim.EstimatorLayeredGraph
Modifier and Type
Constant Field
Value
`public static final int`
`ROUNDS`
`512`
org.apache.sysds.hops.estim.SparsityEstimator
Modifier and Type
Constant Field
Value
`public static final int`
`MIN_PAR_THRESHOLD`
`10240`

org.apache.sysds.hops.fedplanner.FederatedPlanRewireTransTable
Modifier and Type
Constant Field
Value
`public static final String`
`FED_FRAME_IDENTIFIER`
`"frame"`
`public static final String`
`FED_MATRIX_IDENTIFIER`
`"matrix"`

org.apache.sysds.lops.Append
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"append"`
org.apache.sysds.lops.AppendGAlignedSP
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"galignedappend"`
org.apache.sysds.lops.Checkpoint
Modifier and Type
Constant Field
Value
`public static final String`
`ASYNC_CP_OPCODE`
`"chkpoint_e"`
`public static final boolean`
`CHECKPOINT_SPARSE_CSR`
`true`
`public static final String`
`DEFAULT_CP_OPCODE`
`"chkpoint"`
org.apache.sysds.lops.Compression
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"compress"`
org.apache.sysds.lops.Data
Modifier and Type
Constant Field
Value
`public static final String`
`PREAD_PREFIX`
`"pREAD"`
org.apache.sysds.lops.DataGen
Modifier and Type
Constant Field
Value
`public static final String`
`FRAME_OPCODE`
`"frame"`
`public static final String`
`RAND_OPCODE`
`"rand"`
`public static final String`
`SAMPLE_OPCODE`
`"sample"`
`public static final String`
`SEQ_OPCODE`
`"seq"`
`public static final String`
`SINIT_OPCODE`
`"sinit"`
`public static final String`
`TIME_OPCODE`
`"time"`
org.apache.sysds.lops.DeCompression
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"decompress"`
org.apache.sysds.lops.GroupedAggregate
Modifier and Type
Constant Field
Value
`public static final String`
`COMBINEDINPUT`
`"combinedinput"`
org.apache.sysds.lops.LeftIndex
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"leftIndex"`
org.apache.sysds.lops.Local
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"local"`
org.apache.sysds.lops.Lop
Modifier and Type
Constant Field
Value
`public static final String`
`CP_CHILD_THREAD`
`"_t"`
`public static final String`
`CP_ROOT_THREAD_ID`
`"_t0"`
`public static final String`
`DATATYPE_PREFIX`
`"\u00b7"`
`public static final String`
`FILE_SEPARATOR`
`"/"`
`public static final String`
`FRAME_VAR_NAME_PREFIX`
`"_fVar"`
`public static final String`
`INSTRUCTION_DELIMITOR`
`"\u2021"`
`public static final String`
`LITERAL_PREFIX`
`"\u00b7"`
`public static final String`
`MATRIX_VAR_NAME_PREFIX`
`"_mVar"`
`public static final String`
`NAME_VALUE_SEPARATOR`
`"="`
`public static final String`
`OPERAND_DELIMITOR`
`"\u00b0"`
`public static final String`
`PROCESS_PREFIX`
`"_p"`
`public static final String`
`SCALAR_VAR_NAME_PREFIX`
`"_Var"`
`public static final String`
`UPDATE_INPLACE_PREFIX`
`"_uip"`
`public static final String`
`VALUETYPE_PREFIX`
`"\u00b7"`
`public static final String`
`VARIABLE_NAME_PLACEHOLDER`
`"\u00b6"`
org.apache.sysds.lops.RightIndex
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"rightIndex"`
org.apache.sysds.lops.Tee
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"tee"`
org.apache.sysds.lops.WeightedCrossEntropy
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"mapwcemm"`
org.apache.sysds.lops.WeightedCrossEntropyR
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"redwcemm"`
org.apache.sysds.lops.WeightedDivMM
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"mapwdivmm"`
org.apache.sysds.lops.WeightedDivMMR
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"redwdivmm"`
org.apache.sysds.lops.WeightedSigmoid
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"mapwsigmoid"`
org.apache.sysds.lops.WeightedSigmoidR
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"redwsigmoid"`
org.apache.sysds.lops.WeightedSquaredLoss
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"mapwsloss"`
org.apache.sysds.lops.WeightedSquaredLossR
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"redwsloss"`
org.apache.sysds.lops.WeightedUnaryMM
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"mapwumm"`
org.apache.sysds.lops.WeightedUnaryMMR
Modifier and Type
Constant Field
Value
`public static final String`
`OPCODE`
`"redwumm"`

org.apache.sysds.parser.DataExpression
Modifier and Type
Constant Field
Value
`public static final String`
`AUTHORPARAM`
`"author"`
`public static final String`
`COLUMNBLOCKCOUNTPARAM`
`"cols_in_block"`
`public static final String`
`CREATEDPARAM`
`"created"`
`public static final String`
`DATATYPEPARAM`
`"data_type"`
`public static final String`
`DEFAULT_DELIM_DELIMITER`
`","`
`public static final boolean`
`DEFAULT_DELIM_FILL`
`true`
`public static final double`
`DEFAULT_DELIM_FILL_VALUE`
`0.0`
`public static final boolean`
`DEFAULT_DELIM_HAS_HEADER_ROW`
`false`
`public static final boolean`
`DEFAULT_DELIM_SPARSE`
`false`
`public static final String`
`DEFAULT_LIBSVM_INDEX_DELIM`
`":"`
`public static final String`
`DEFAULT_NA_STRINGS`
`""`
`public static final String`
`DEFAULT_SCHEMAPARAM`
`"NULL"`
`public static final String`
`DELIM_DELIMITER`
`"sep"`
`public static final String`
`DELIM_FILL`
`"fill"`
`public static final String`
`DELIM_FILL_VALUE`
`"default"`
`public static final String`
`DELIM_HAS_HEADER_ROW`
`"header"`
`public static final String`
`DELIM_NA_STRING_SEP`
`"\u00b7"`
`public static final String`
`DELIM_NA_STRINGS`
`"naStrings"`
`public static final String`
`DELIM_SPARSE`
`"sparse"`
`public static final String`
`DESCRIPTIONPARAM`
`"description"`
`public static final String`
`FED_ADDRESSES`
`"addresses"`
`public static final String`
`FED_LOCAL_OBJECT`
`"local_matrix"`
`public static final String`
`FED_RANGES`
`"ranges"`
`public static final String`
`FED_TYPE`
`"type"`
`public static final String`
`FINE_GRAINED_PRIVACY`
`"fine_grained_privacy"`
`public static final String`
`FORMAT_TYPE`
`"format"`
`public static final String`
`HDF5_DATASET_NAME`
`"dataset"`
`public static final String`
`IO_FILENAME`
`"iofilename"`
`public static final String`
`LIBSVM_INDEX_DELIM`
`"indSep"`
`public static final String`
`PRIVACY`
`"privacy"`
`public static final String`
`RAND_BY_ROW`
`"byrow"`
`public static final String`
`RAND_COLS`
`"cols"`
`public static final String`
`RAND_DATA`
`"data"`
`public static final String`
`RAND_DIMNAMES`
`"dimnames"`
`public static final String`
`RAND_DIMS`
`"dims"`
`public static final String`
`RAND_LAMBDA`
`"lambda"`
`public static final String`
`RAND_MAX`
`"max"`
`public static final String`
`RAND_MIN`
`"min"`
`public static final String`
`RAND_PDF`
`"pdf"`
`public static final String`
`RAND_PDF_UNIFORM`
`"uniform"`
`public static final String`
`RAND_ROWS`
`"rows"`
`public static final String`
`RAND_SEED`
`"seed"`
`public static final String`
`RAND_SPARSITY`
`"sparsity"`
`public static final String`
`READCOLPARAM`
`"cols"`
`public static final String`
`READNNZPARAM`
`"nnz"`
`public static final String`
`READROWPARAM`
`"rows"`
`public static final String`
`ROWBLOCKCOUNTPARAM`
`"rows_in_block"`
`public static final String`
`SCHEMAPARAM`
`"schema"`
`public static final String`
`SQL_CONN`
`"conn"`
`public static final String`
`SQL_PASS`
`"password"`
`public static final String`
`SQL_QUERY`
`"query"`
`public static final String`
`SQL_USER`
`"user"`
`public static final String`
`VALUETYPEPARAM`
`"value_type"`
org.apache.sysds.parser.DMLProgram
Modifier and Type
Constant Field
Value
`public static final String`
`BUILTIN_NAMESPACE`
`".builtinNS"`
`public static final String`
`DEFAULT_NAMESPACE`
`".defaultNS"`
`public static final String`
`INTERNAL_NAMESPACE`
`"_internal"`
org.apache.sysds.parser.LanguageException.LanguageErrorCodes
Modifier and Type
Constant Field
Value
`public static final String`
`INVALID_PARAMETERS`
`"Invalid Parameters"`
`public static final String`
`UNSUPPORTED_EXPRESSION`
`"Unsupported Expression"`
`public static final String`
`UNSUPPORTED_PARAMETERS`
`"Unsupported Parameters"`
org.apache.sysds.parser.ParameterizedBuiltinFunctionExpression
Modifier and Type
Constant Field
Value
`public static final String`
`LINEAGE_TRACE`
`"lineage"`
`public static final String`
`TF_FN_PARAM_DATA`
`"target"`
`public static final String`
`TF_FN_PARAM_EMBD`
`"embedding"`
`public static final String`
`TF_FN_PARAM_MTD`
`"transformPath"`
`public static final String`
`TF_FN_PARAM_MTD2`
`"meta"`
`public static final String`
`TF_FN_PARAM_SPEC`
`"spec"`
org.apache.sysds.parser.ParForStatementBlock
Modifier and Type
Constant Field
Value
`public static final String`
`CHECK`
`"check"`
`public static final String`
`DATA_PARTITIONER`
`"datapartitioner"`
`public static final String`
`EXEC_MODE`
`"mode"`
`public static final String`
`INTERAL_FN_INDEX_COL`
`"__ixc"`
`public static final String`
`INTERAL_FN_INDEX_ROW`
`"__ixr"`
`public static final String`
`OPT_LOG`
`"log"`
`public static final String`
`OPT_MODE`
`"opt"`
`public static final String`
`PAR`
`"par"`
`public static final String`
`PROFILE`
`"profile"`
`public static final String`
`RESULT_MERGE`
`"resultmerge"`
`public static final String`
`TASK_PARTITIONER`
`"taskpartitioner"`
`public static final String`
`TASK_SIZE`
`"tasksize"`
org.apache.sysds.parser.Statement
Modifier and Type
Constant Field
Value
`public static final String`
`BOOLEAN_VALUE_TYPE`
`"boolean"`
`public static final String`
`DOUBLE_VALUE_TYPE`
`"double"`
`public static final String`
`FRAME_DATA_TYPE`
`"frame"`
`public static final String`
`GAGG_FN`
`"fn"`
`public static final String`
`GAGG_FN_CM`
`"centralmoment"`
`public static final String`
`GAGG_FN_CM_ORDER`
`"order"`
`public static final String`
`GAGG_FN_COUNT`
`"count"`
`public static final String`
`GAGG_FN_MAX`
`"max"`
`public static final String`
`GAGG_FN_MEAN`
`"mean"`
`public static final String`
`GAGG_FN_MIN`
`"min"`
`public static final String`
`GAGG_FN_SUM`
`"sum"`
`public static final String`
`GAGG_FN_VARIANCE`
`"variance"`
`public static final String`
`GAGG_GROUPS`
`"groups"`
`public static final String`
`GAGG_NUM_GROUPS`
`"ngroups"`
`public static final String`
`GAGG_TARGET`
`"target"`
`public static final String`
`GAGG_WEIGHTS`
`"weights"`
`public static final String`
`INT_VALUE_TYPE`
`"int"`
`public static final String`
`MATRIX_DATA_TYPE`
`"matrix"`
`public static final String`
`OUTPUTSTATEMENT`
`"WRITE"`
`public static final String`
`PS_AGGREGATION_FUN`
`"agg"`
`public static final String`
`PS_BATCH_SIZE`
`"batchsize"`
`public static final String`
`PS_CHECKPOINTING`
`"checkpointing"`
`public static final String`
`PS_EPOCHS`
`"epochs"`
`public static final String`
`PS_FEATURES`
`"features"`
`public static final String`
`PS_FED_AGGREGATION_FNAME`
`"1701-NCC-aggregation_fname"`
`public static final String`
`PS_FED_BATCH_SIZE`
`"1701-NCC-batch_size"`
`public static final String`
`PS_FED_DATA_SIZE`
`"1701-NCC-data_size"`
`public static final String`
`PS_FED_GRADIENTS_FNAME`
`"1701-NCC-gradients_fname"`
`public static final String`
`PS_FED_MODEL_VARID`
`"1701-NCC-model_varid"`
`public static final String`
`PS_FED_NAMESPACE`
`"1701-NCC-namespace"`
`public static final String`
`PS_FED_POSS_BATCHES_LOCAL`
`"1701-NCC-poss_batches_local"`
`public static final String`
`PS_FED_RUNTIME_BALANCING`
`"runtime_balancing"`
`public static final String`
`PS_FED_WEIGHTING`
`"weighting"`
`public static final String`
`PS_FREQUENCY`
`"freq"`
`public static final String`
`PS_GRADIENTS`
`"gradients"`
`public static final String`
`PS_HE`
`"he"`
`public static final String`
`PS_HYPER_PARAMS`
`"hyperparams"`
`public static final String`
`PS_LABELS`
`"labels"`
`public static final String`
`PS_MODE`
`"mode"`
`public static final String`
`PS_MODEL`
`"model"`
`public static final String`
`PS_MODELAVG`
`"modelAvg"`
`public static final String`
`PS_NBATCHES`
`"nbatches"`
`public static final String`
`PS_NUM_BACKUP_WORKERS`
`"num_backup_workers"`
`public static final String`
`PS_PARALLELISM`
`"k"`
`public static final String`
`PS_SCHEME`
`"scheme"`
`public static final String`
`PS_SEED`
`"seed"`
`public static final String`
`PS_UPDATE_FUN`
`"upd"`
`public static final String`
`PS_UPDATE_TYPE`
`"utype"`
`public static final String`
`PS_VAL_FEATURES`
`"val_features"`
`public static final String`
`PS_VAL_FUN`
`"val"`
`public static final String`
`PS_VAL_LABELS`
`"val_labels"`
`public static final String`
`SCALAR_DATA_TYPE`
`"scalar"`
`public static final String`
`SEQ_FROM`
`"from"`
`public static final String`
`SEQ_INCR`
`"incr"`
`public static final String`
`SEQ_TO`
`"to"`
`public static final String`
`SETWD`
`"setwd"`
`public static final String`
`SOURCE`
`"source"`
`public static final String`
`STRING_VALUE_TYPE`
`"string"`
org.apache.sysds.parser.StatementBlock
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_LOOP_REPETITIONS`
`10.0`

org.apache.sysds.parser.dml.DmlLexer
Modifier and Type
Constant Field
Value
`public static final String`
`_serializedATN`
`"\u0003\u608b\ua72a\u8133\ub9ed\u417c\u3be7\u7786\u5964\u0002H\u02ce\b\u0001\u0004\u0002\t\u0002\u0004\u0003\t\u0003\u0004\u0004\t\u0004\u0004\u0005\t\u0005\u0004\u0006\t\u0006\u0004\u0007\t\u0007\u0004\b\t\b\u0004\t\t\t\u0004\n\t\n\u0004\u000b\t\u000b\u0004\f\t\f\u0004\r\t\r\u0004\u000e\t\u000e\u0004\u000f\t\u000f\u0004\u0010\t\u0010\u0004\u0011\t\u0011\u0004\u0012\t\u0012\u0004\u0013\t\u0013\u0004\u0014\t\u0014\u0004\u0015\t\u0015\u0004\u0016\t\u0016\u0004\u0017\t\u0017\u0004\u0018\t\u0018\u0004\u0019\t\u0019\u0004\u001a\t\u001a\u0004\u001b\t\u001b\u0004\u001c\t\u001c\u0004\u001d\t\u001d\u0004\u001e\t\u001e\u0004\u001f\t\u001f\u0004 \t \u0004!\t!\u0004\"\t\"\u0004#\t#\u0004$\t$\u0004%\t%\u0004&\t&\u0004\'\t\'\u0004(\t(\u0004)\t)\u0004*\t*\u0004+\t+\u0004,\t,\u0004-\t-\u0004.\t.\u0004/\t/\u00040\t0\u00041\t1\u00042\t2\u00043\t3\u00044\t4\u00045\t5\u00046\t6\u00047\t7\u00048\t8\u00049\t9\u0004:\t:\u0004;\t;\u0004<\t<\u0004=\t=\u0004>\t>\u0004?\t?\u0004@\t@\u0004A\tA\u0004B\tB\u0004C\tC\u0004D\tD\u0004E\tE\u0004F\tF\u0004G\tG\u0004H\tH\u0004I\tI\u0003\u0002\u0003\u0002\u0003\u0002\u0003\u0002\u0003\u0002\u0003\u0002\u0003\u0002\u0003\u0003\u0003\u0003\u0003\u0004\u0003\u0004\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0006\u0003\u0006\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\b\u0003\b\u0003\t\u0003\t\u0003\t\u0003\n\u0003\n\u0003\u000b\u0003\u000b\u0003\f\u0003\f\u0003\r\u0003\r\u0003\r\u0003\r\u0003\r\u0003\r\u0003\u000e\u0003\u000e\u0003\u000e\u0003\u000f\u0003\u000f\u0003\u000f\u0003\u0010\u0003\u0010\u0003\u0011\u0003\u0011\u0003\u0012\u0003\u0012\u0003\u0012\u0003\u0012\u0003\u0012\u0003\u0013\u0003\u0013\u0003\u0013\u0003\u0013\u0003\u0014\u0003\u0014\u0003\u0014\u0003\u0015\u0003\u0015\u0003\u0015\u0003\u0015\u0003\u0015\u0003\u0015\u0003\u0015\u0003\u0016\u0003\u0016\u0003\u0016\u0003\u0016\u0003\u0016\u0003\u0016\u0003\u0017\u0003\u0017\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0018\u0003\u0019\u0003\u0019\u0003\u0019\u0003\u0019\u0003\u0019\u0003\u0019\u0003\u0019\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001a\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001b\u0003\u001c\u0003\u001c\u0003\u001d\u0003\u001d\u0003\u001e\u0003\u001e\u0003\u001f\u0003\u001f\u0003\u001f\u0003\u001f\u0003 \u0003 \u0003 \u0003 \u0003!\u0003!\u0003!\u0003\"\u0003\"\u0003#\u0003#\u0003$\u0003$\u0003%\u0003%\u0003%\u0003&\u0003&\u0003\'\u0003\'\u0003\'\u0003(\u0003(\u0003(\u0003)\u0003)\u0003)\u0003*\u0003*\u0003+\u0003+\u0003,\u0003,\u0003,\u0003-\u0003-\u0003.\u0003.\u0003.\u0003/\u0003/\u0003/\u0003/\u0003/\u00030\u00030\u00030\u00030\u00030\u00030\u00031\u00031\u00031\u00031\u00032\u00032\u00032\u00032\u00032\u00032\u00032\u00032\u00033\u00033\u00033\u00033\u00033\u00033\u00033\u00034\u00034\u00034\u00034\u00034\u00034\u00034\u00034\u00035\u00035\u00035\u00035\u00035\u00035\u00035\u00036\u00036\u00036\u00036\u00036\u00036\u00036\u00036\u00037\u00037\u00037\u00037\u00038\u00038\u00038\u00038\u00038\u00038\u00038\u00038\u00039\u00039\u00039\u00039\u00039\u00039\u00039\u0003:\u0003:\u0003:\u0003:\u0003:\u0003:\u0003:\u0003:\u0003;\u0003;\u0003;\u0003;\u0003;\u0003;\u0003;\u0003<\u0003<\u0003<\u0003<\u0003<\u0003<\u0003<\u0003<\u0003=\u0003=\u0003=\u0003=\u0007=\u01a1\n=\f=\u000e=\u01a4\u000b=\u0003=\u0003=\u0003=\u0005=\u01a9\n=\u0003=\u0003=\u0003=\u0003=\u0007=\u01af\n=\f=\u000e=\u01b2\u000b=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0003=\u0005=\u0246\n=\u0003>\u0006>\u0249\n>\r>\u000e>\u024a\u0003>\u0005>\u024e\n>\u0003?\u0006?\u0251\n?\r?\u000e?\u0252\u0003?\u0003?\u0007?\u0257\n?\f?\u000e?\u025a\u000b?\u0003?\u0005?\u025d\n?\u0003?\u0005?\u0260\n?\u0003?\u0006?\u0263\n?\r?\u000e?\u0264\u0003?\u0005?\u0268\n?\u0003?\u0005?\u026b\n?\u0003?\u0003?\u0006?\u026f\n?\r?\u000e?\u0270\u0003?\u0005?\u0274\n?\u0003?\u0005?\u0277\n?\u0005?\u0279\n?\u0003@\u0003@\u0003A\u0003A\u0003B\u0003B\u0005B\u0281\nB\u0003B\u0003B\u0003C\u0003C\u0003C\u0003C\u0003C\u0007C\u028a\nC\fC\u000eC\u028d\u000bC\u0003D\u0003D\u0006D\u0291\nD\rD\u000eD\u0292\u0003E\u0003E\u0003E\u0007E\u0298\nE\fE\u000eE\u029b\u000bE\u0003E\u0003E\u0003E\u0003E\u0007E\u02a1\nE\fE\u000eE\u02a4\u000bE\u0003E\u0005E\u02a7\nE\u0003F\u0003F\u0003F\u0003G\u0003G\u0007G\u02ae\nG\fG\u000eG\u02b1\u000bG\u0003G\u0005G\u02b4\nG\u0003G\u0003G\u0003G\u0003G\u0003H\u0003H\u0003H\u0003H\u0007H\u02be\nH\fH\u000eH\u02c1\u000bH\u0003H\u0003H\u0003H\u0003H\u0003H\u0003I\u0006I\u02c9\nI\rI\u000eI\u02ca\u0003I\u0003I\u0006\u0299\u02a2\u02af\u02bf\u0002J\u0003\u0003\u0005\u0004\u0007\u0005\t\u0006\u000b\u0007\r\b\u000f\t\u0011\n\u0013\u000b\u0015\f\u0017\r\u0019\u000e\u001b\u000f\u001d\u0010\u001f\u0011!\u0012#\u0013%\u0014\'\u0015)\u0016+\u0017-\u0018/\u00191\u001a3\u001b5\u001c7\u001d9\u001e;\u001f= ?!A\"C#E$G%I&K\'M(O)Q*S+U,W-Y.[/]0_1a2c3e4g5i6k7m8o9q:s;u<w=y>{?}@\u007fA\u0081B\u0083\u0002\u0085C\u0087D\u0089E\u008b\u0002\u008dF\u008fG\u0091H\u0003\u0002\n\u0004\u0002NNnn\u0004\u0002C\\c|\u0004\u0002GGgg\u0004\u0002--//\u0004\u0002$$^^\u0004\u0002))^^\n\u0002$$))^^ddhhppttvv\u0005\u0002\u000b\f\u000f\u000f\"\"\u0002\u02fe\u0002\u0003\u0003\u0002\u0002\u0002\u0002\u0005\u0003\u0002\u0002\u0002\u0002\u0007\u0003\u0002\u0002\u0002\u0002\t\u0003\u0002\u0002\u0002\u0002\u000b\u0003\u0002\u0002\u0002\u0002\r\u0003\u0002\u0002\u0002\u0002\u000f\u0003\u0002\u0002\u0002\u0002\u0011\u0003\u0002\u0002\u0002\u0002\u0013\u0003\u0002\u0002\u0002\u0002\u0015\u0003\u0002\u0002\u0002\u0002\u0017\u0003\u0002\u0002\u0002\u0002\u0019\u0003\u0002\u0002\u0002\u0002\u001b\u0003\u0002\u0002\u0002\u0002\u001d\u0003\u0002\u0002\u0002\u0002\u001f\u0003\u0002\u0002\u0002\u0002!\u0003\u0002\u0002\u0002\u0002#\u0003\u0002\u0002\u0002\u0002%\u0003\u0002\u0002\u0002\u0002\'\u0003\u0002\u0002\u0002\u0002)\u0003\u0002\u0002\u0002\u0002+\u0003\u0002\u0002\u0002\u0002-\u0003\u0002\u0002\u0002\u0002/\u0003\u0002\u0002\u0002\u00021\u0003\u0002\u0002\u0002\u00023\u0003\u0002\u0002\u0002\u00025\u0003\u0002\u0002\u0002\u00027\u0003\u0002\u0002\u0002\u00029\u0003\u0002\u0002\u0002\u0002;\u0003\u0002\u0002\u0002\u0002=\u0003\u0002\u0002\u0002\u0002?\u0003\u0002\u0002\u0002\u0002A\u0003\u0002\u0002\u0002\u0002C\u0003\u0002\u0002\u0002\u0002E\u0003\u0002\u0002\u0002\u0002G\u0003\u0002\u0002\u0002\u0002I\u0003\u0002\u0002\u0002\u0002K\u0003\u0002\u0002\u0002\u0002M\u0003\u0002\u0002\u0002\u0002O\u0003\u0002\u0002\u0002\u0002Q\u0003\u0002\u0002\u0002\u0002S\u0003\u0002\u0002\u0002\u0002U\u0003\u0002\u0002\u0002\u0002W\u0003\u0002\u0002\u0002\u0002Y\u0003\u0002\u0002\u0002\u0002[\u0003\u0002\u0002\u0002\u0002]\u0003\u0002\u0002\u0002\u0002_\u0003\u0002\u0002\u0002\u0002a\u0003\u0002\u0002\u0002\u0002c\u0003\u0002\u0002\u0002\u0002e\u0003\u0002\u0002\u0002\u0002g\u0003\u0002\u0002\u0002\u0002i\u0003\u0002\u0002\u0002\u0002k\u0003\u0002\u0002\u0002\u0002m\u0003\u0002\u0002\u0002\u0002o\u0003\u0002\u0002\u0002\u0002q\u0003\u0002\u0002\u0002\u0002s\u0003\u0002\u0002\u0002\u0002u\u0003\u0002\u0002\u0002\u0002w\u0003\u0002\u0002\u0002\u0002y\u0003\u0002\u0002\u0002\u0002{\u0003\u0002\u0002\u0002\u0002}\u0003\u0002\u0002\u0002\u0002\u007f\u0003\u0002\u0002\u0002\u0002\u0081\u0003\u0002\u0002\u0002\u0002\u0085\u0003\u0002\u0002\u0002\u0002\u0087\u0003\u0002\u0002\u0002\u0002\u0089\u0003\u0002\u0002\u0002\u0002\u008d\u0003\u0002\u0002\u0002\u0002\u008f\u0003\u0002\u0002\u0002\u0002\u0091\u0003\u0002\u0002\u0002\u0003\u0093\u0003\u0002\u0002\u0002\u0005\u009a\u0003\u0002\u0002\u0002\u0007\u009c\u0003\u0002\u0002\u0002\t\u009e\u0003\u0002\u0002\u0002\u000b\u00a1\u0003\u0002\u0002\u0002\r\u00a3\u0003\u0002\u0002\u0002\u000f\u00a9\u0003\u0002\u0002\u0002\u0011\u00ab\u0003\u0002\u0002\u0002\u0013\u00ae\u0003\u0002\u0002\u0002\u0015\u00b0\u0003\u0002\u0002\u0002\u0017\u00b2\u0003\u0002\u0002\u0002\u0019\u00b4\u0003\u0002\u0002\u0002\u001b\u00ba\u0003\u0002\u0002\u0002\u001d\u00bd\u0003\u0002\u0002\u0002\u001f\u00c0\u0003\u0002\u0002\u0002!\u00c2\u0003\u0002\u0002\u0002#\u00c4\u0003\u0002\u0002\u0002%\u00c9\u0003\u0002\u0002\u0002\'\u00cd\u0003\u0002\u0002\u0002)\u00d0\u0003\u0002\u0002\u0002+\u00d7\u0003\u0002\u0002\u0002-\u00dd\u0003\u0002\u0002\u0002/\u00df\u0003\u0002\u0002\u00021\u00e8\u0003\u0002\u0002\u00023\u00ef\u0003\u0002\u0002\u00025\u0100\u0003\u0002\u0002\u00027\u010c\u0003\u0002\u0002\u00029\u010e\u0003\u0002\u0002\u0002;\u0110\u0003\u0002\u0002\u0002=\u0112\u0003\u0002\u0002\u0002?\u0116\u0003\u0002\u0002\u0002A\u011a\u0003\u0002\u0002\u0002C\u011d\u0003\u0002\u0002\u0002E\u011f\u0003\u0002\u0002\u0002G\u0121\u0003\u0002\u0002\u0002I\u0123\u0003\u0002\u0002\u0002K\u0126\u0003\u0002\u0002\u0002M\u0128\u0003\u0002\u0002\u0002O\u012b\u0003\u0002\u0002\u0002Q\u012e\u0003\u0002\u0002\u0002S\u0131\u0003\u0002\u0002\u0002U\u0133\u0003\u0002\u0002\u0002W\u0135\u0003\u0002\u0002\u0002Y\u0138\u0003\u0002\u0002\u0002[\u013a\u0003\u0002\u0002\u0002]\u013d\u0003\u0002\u0002\u0002_\u0142\u0003\u0002\u0002\u0002a\u0148\u0003\u0002\u0002\u0002c\u014c\u0003\u0002\u0002\u0002e\u0154\u0003\u0002\u0002\u0002g\u015b\u0003\u0002\u0002\u0002i\u0163\u0003\u0002\u0002\u0002k\u016a\u0003\u0002\u0002\u0002m\u0172\u0003\u0002\u0002\u0002o\u0176\u0003\u0002\u0002\u0002q\u017e\u0003\u0002\u0002\u0002s\u0185\u0003\u0002\u0002\u0002u\u018d\u0003\u0002\u0002\u0002w\u0194\u0003\u0002\u0002\u0002y\u0245\u0003\u0002\u0002\u0002{\u0248\u0003\u0002\u0002\u0002}\u0278\u0003\u0002\u0002\u0002\u007f\u027a\u0003\u0002\u0002\u0002\u0081\u027c\u0003\u0002\u0002\u0002\u0083\u027e\u0003\u0002\u0002\u0002\u0085\u0284\u0003\u0002\u0002\u0002\u0087\u028e\u0003\u0002\u0002\u0002\u0089\u02a6\u0003\u0002\u0002\u0002\u008b\u02a8\u0003\u0002\u0002\u0002\u008d\u02ab\u0003\u0002\u0002\u0002\u008f\u02b9\u0003\u0002\u0002\u0002\u0091\u02c8\u0003\u0002\u0002\u0002\u0093\u0094\u0007u\u0002\u0002\u0094\u0095\u0007q\u0002\u0002\u0095\u0096\u0007w\u0002\u0002\u0096\u0097\u0007t\u0002\u0002\u0097\u0098\u0007e\u0002\u0002\u0098\u0099\u0007g\u0002\u0002\u0099\u0004\u0003\u0002\u0002\u0002\u009a\u009b\u0007*\u0002\u0002\u009b\u0006\u0003\u0002\u0002\u0002\u009c\u009d\u0007+\u0002\u0002\u009d\b\u0003\u0002\u0002\u0002\u009e\u009f\u0007c\u0002\u0002\u009f\u00a0\u0007u\u0002\u0002\u00a0\n\u0003\u0002\u0002\u0002\u00a1\u00a2\u0007=\u0002\u0002\u00a2\f\u0003\u0002\u0002\u0002\u00a3\u00a4\u0007u\u0002\u0002\u00a4\u00a5\u0007g\u0002\u0002\u00a5\u00a6\u0007v\u0002\u0002\u00a6\u00a7\u0007y\u0002\u0002\u00a7\u00a8\u0007f\u0002\u0002\u00a8\u000e\u0003\u0002\u0002\u0002\u00a9\u00aa\u0007?\u0002\u0002\u00aa\u0010\u0003\u0002\u0002\u0002\u00ab\u00ac\u0007>\u0002\u0002\u00ac\u00ad\u0007/\u0002\u0002\u00ad\u0012\u0003\u0002\u0002\u0002\u00ae\u00af\u0007.\u0002\u0002\u00af\u0014\u0003\u0002\u0002\u0002\u00b0\u00b1\u0007]\u0002\u0002\u00b1\u0016\u0003\u0002\u0002\u0002\u00b2\u00b3\u0007_\u0002\u0002\u00b3\u0018\u0003\u0002\u0002\u0002\u00b4\u00b5\u0007k\u0002\u0002\u00b5\u00b6\u0007h\u0002\u0002\u00b6\u00b7\u0007f\u0002\u0002\u00b7\u00b8\u0007g\u0002\u0002\u00b8\u00b9\u0007h\u0002\u0002\u00b9\u001a\u0003\u0002\u0002\u0002\u00ba\u00bb\u0007-\u0002\u0002\u00bb\u00bc\u0007?\u0002\u0002\u00bc\u001c\u0003\u0002\u0002\u0002\u00bd\u00be\u0007k\u0002\u0002\u00be\u00bf\u0007h\u0002\u0002\u00bf\u001e\u0003\u0002\u0002\u0002\u00c0\u00c1\u0007}\u0002\u0002\u00c1 \u0003\u0002\u0002\u0002\u00c2\u00c3\u0007\u007f\u0002\u0002\u00c3\"\u0003\u0002\u0002\u0002\u00c4\u00c5\u0007g\u0002\u0002\u00c5\u00c6\u0007n\u0002\u0002\u00c6\u00c7\u0007u\u0002\u0002\u00c7\u00c8\u0007g\u0002\u0002\u00c8$\u0003\u0002\u0002\u0002\u00c9\u00ca\u0007h\u0002\u0002\u00ca\u00cb\u0007q\u0002\u0002\u00cb\u00cc\u0007t\u0002\u0002\u00cc&\u0003\u0002\u0002\u0002\u00cd\u00ce\u0007k\u0002\u0002\u00ce\u00cf\u0007p\u0002\u0002\u00cf(\u0003\u0002\u0002\u0002\u00d0\u00d1\u0007r\u0002\u0002\u00d1\u00d2\u0007c\u0002\u0002\u00d2\u00d3\u0007t\u0002\u0002\u00d3\u00d4\u0007h\u0002\u0002\u00d4\u00d5\u0007q\u0002\u0002\u00d5\u00d6\u0007t\u0002\u0002\u00d6*\u0003\u0002\u0002\u0002\u00d7\u00d8\u0007y\u0002\u0002\u00d8\u00d9\u0007j\u0002\u0002\u00d9\u00da\u0007k\u0002\u0002\u00da\u00db\u0007n\u0002\u0002\u00db\u00dc\u0007g\u0002\u0002\u00dc,\u0003\u0002\u0002\u0002\u00dd\u00de\u0007<\u0002\u0002\u00de.\u0003\u0002\u0002\u0002\u00df\u00e0\u0007h\u0002\u0002\u00e0\u00e1\u0007w\u0002\u0002\u00e1\u00e2\u0007p\u0002\u0002\u00e2\u00e3\u0007e\u0002\u0002\u00e3\u00e4\u0007v\u0002\u0002\u00e4\u00e5\u0007k\u0002\u0002\u00e5\u00e6\u0007q\u0002\u0002\u00e6\u00e7\u0007p\u0002\u0002\u00e70\u0003\u0002\u0002\u0002\u00e8\u00e9\u0007t\u0002\u0002\u00e9\u00ea\u0007g\u0002\u0002\u00ea\u00eb\u0007v\u0002\u0002\u00eb\u00ec\u0007w\u0002\u0002\u00ec\u00ed\u0007t\u0002\u0002\u00ed\u00ee\u0007p\u0002\u0002\u00ee2\u0003\u0002\u0002\u0002\u00ef\u00f0\u0007g\u0002\u0002\u00f0\u00f1\u0007z\u0002\u0002\u00f1\u00f2\u0007v\u0002\u0002\u00f2\u00f3\u0007g\u0002\u0002\u00f3\u00f4\u0007t\u0002\u0002\u00f4\u00f5\u0007p\u0002\u0002\u00f5\u00f6\u0007c\u0002\u0002\u00f6\u00f7\u0007n\u0002\u0002\u00f7\u00f8\u0007H\u0002\u0002\u00f8\u00f9\u0007w\u0002\u0002\u00f9\u00fa\u0007p\u0002\u0002\u00fa\u00fb\u0007e\u0002\u0002\u00fb\u00fc\u0007v\u0002\u0002\u00fc\u00fd\u0007k\u0002\u0002\u00fd\u00fe\u0007q\u0002\u0002\u00fe\u00ff\u0007p\u0002\u0002\u00ff4\u0003\u0002\u0002\u0002\u0100\u0101\u0007k\u0002\u0002\u0101\u0102\u0007o\u0002\u0002\u0102\u0103\u0007r\u0002\u0002\u0103\u0104\u0007n\u0002\u0002\u0104\u0105\u0007g\u0002\u0002\u0105\u0106\u0007o\u0002\u0002\u0106\u0107\u0007g\u0002\u0002\u0107\u0108\u0007p\u0002\u0002\u0108\u0109\u0007v\u0002\u0002\u0109\u010a\u0007g\u0002\u0002\u010a\u010b\u0007f\u0002\u0002\u010b6\u0003\u0002\u0002\u0002\u010c\u010d\u0007`\u0002\u0002\u010d8\u0003\u0002\u0002\u0002\u010e\u010f\u0007/\u0002\u0002\u010f:\u0003\u0002\u0002\u0002\u0110\u0111\u0007-\u0002\u0002\u0111<\u0003\u0002\u0002\u0002\u0112\u0113\u0007\'\u0002\u0002\u0113\u0114\u0007,\u0002\u0002\u0114\u0115\u0007\'\u0002\u0002\u0115>\u0003\u0002\u0002\u0002\u0116\u0117\u0007\'\u0002\u0002\u0117\u0118\u00071\u0002\u0002\u0118\u0119\u0007\'\u0002\u0002\u0119@\u0003\u0002\u0002\u0002\u011a\u011b\u0007\'\u0002\u0002\u011b\u011c\u0007\'\u0002\u0002\u011cB\u0003\u0002\u0002\u0002\u011d\u011e\u0007,\u0002\u0002\u011eD\u0003\u0002\u0002\u0002\u011f\u0120\u00071\u0002\u0002\u0120F\u0003\u0002\u0002\u0002\u0121\u0122\u0007@\u0002\u0002\u0122H\u0003\u0002\u0002\u0002\u0123\u0124\u0007@\u0002\u0002\u0124\u0125\u0007?\u0002\u0002\u0125J\u0003\u0002\u0002\u0002\u0126\u0127\u0007>\u0002\u0002\u0127L\u0003\u0002\u0002\u0002\u0128\u0129\u0007>\u0002\u0002\u0129\u012a\u0007?\u0002\u0002\u012aN\u0003\u0002\u0002\u0002\u012b\u012c\u0007?\u0002\u0002\u012c\u012d\u0007?\u0002\u0002\u012dP\u0003\u0002\u0002\u0002\u012e\u012f\u0007#\u0002\u0002\u012f\u0130\u0007?\u0002\u0002\u0130R\u0003\u0002\u0002\u0002\u0131\u0132\u0007#\u0002\u0002\u0132T\u0003\u0002\u0002\u0002\u0133\u0134\u0007(\u0002\u0002\u0134V\u0003\u0002\u0002\u0002\u0135\u0136\u0007(\u0002\u0002\u0136\u0137\u0007(\u0002\u0002\u0137X\u0003\u0002\u0002\u0002\u0138\u0139\u0007~\u0002\u0002\u0139Z\u0003\u0002\u0002\u0002\u013a\u013b\u0007~\u0002\u0002\u013b\u013c\u0007~\u0002\u0002\u013c\\\u0003\u0002\u0002\u0002\u013d\u013e\u0007V\u0002\u0002\u013e\u013f\u0007T\u0002\u0002\u013f\u0140\u0007W\u0002\u0002\u0140\u0141\u0007G\u0002\u0002\u0141^\u0003\u0002\u0002\u0002\u0142\u0143\u0007H\u0002\u0002\u0143\u0144\u0007C\u0002\u0002\u0144\u0145\u0007N\u0002\u0002\u0145\u0146\u0007U\u0002\u0002\u0146\u0147\u0007G\u0002\u0002\u0147`\u0003\u0002\u0002\u0002\u0148\u0149\u0007k\u0002\u0002\u0149\u014a\u0007p\u0002\u0002\u014a\u014b\u0007v\u0002\u0002\u014bb\u0003\u0002\u0002\u0002\u014c\u014d\u0007k\u0002\u0002\u014d\u014e\u0007p\u0002\u0002\u014e\u014f\u0007v\u0002\u0002\u014f\u0150\u0007g\u0002\u0002\u0150\u0151\u0007i\u0002\u0002\u0151\u0152\u0007g\u0002\u0002\u0152\u0153\u0007t\u0002\u0002\u0153d\u0003\u0002\u0002\u0002\u0154\u0155\u0007u\u0002\u0002\u0155\u0156\u0007v\u0002\u0002\u0156\u0157\u0007t\u0002\u0002\u0157\u0158\u0007k\u0002\u0002\u0158\u0159\u0007p\u0002\u0002\u0159\u015a\u0007i\u0002\u0002\u015af\u0003\u0002\u0002\u0002\u015b\u015c\u0007d\u0002\u0002\u015c\u015d\u0007q\u0002\u0002\u015d\u015e\u0007q\u0002\u0002\u015e\u015f\u0007n\u0002\u0002\u015f\u0160\u0007g\u0002\u0002\u0160\u0161\u0007c\u0002\u0002\u0161\u0162\u0007p\u0002\u0002\u0162h\u0003\u0002\u0002\u0002\u0163\u0164\u0007f\u0002\u0002\u0164\u0165\u0007q\u0002\u0002\u0165\u0166\u0007w\u0002\u0002\u0166\u0167\u0007d\u0002\u0002\u0167\u0168\u0007n\u0002\u0002\u0168\u0169\u0007g\u0002\u0002\u0169j\u0003\u0002\u0002\u0002\u016a\u016b\u0007w\u0002\u0002\u016b\u016c\u0007p\u0002\u0002\u016c\u016d\u0007m\u0002\u0002\u016d\u016e\u0007p\u0002\u0002\u016e\u016f\u0007q\u0002\u0002\u016f\u0170\u0007y\u0002\u0002\u0170\u0171\u0007p\u0002\u0002\u0171l\u0003\u0002\u0002\u0002\u0172\u0173\u0007K\u0002\u0002\u0173\u0174\u0007p\u0002\u0002\u0174\u0175\u0007v\u0002\u0002\u0175n\u0003\u0002\u0002\u0002\u0176\u0177\u0007K\u0002\u0002\u0177\u0178\u0007p\u0002\u0002\u0178\u0179\u0007v\u0002\u0002\u0179\u017a\u0007g\u0002\u0002\u017a\u017b\u0007i\u0002\u0002\u017b\u017c\u0007g\u0002\u0002\u017c\u017d\u0007t\u0002\u0002\u017dp\u0003\u0002\u0002\u0002\u017e\u017f\u0007U\u0002\u0002\u017f\u0180\u0007v\u0002\u0002\u0180\u0181\u0007t\u0002\u0002\u0181\u0182\u0007k\u0002\u0002\u0182\u0183\u0007p\u0002\u0002\u0183\u0184\u0007i\u0002\u0002\u0184r\u0003\u0002\u0002\u0002\u0185\u0186\u0007D\u0002\u0002\u0186\u0187\u0007q\u0002\u0002\u0187\u0188\u0007q\u0002\u0002\u0188\u0189\u0007n\u0002\u0002\u0189\u018a\u0007g\u0002\u0002\u018a\u018b\u0007c\u0002\u0002\u018b\u018c\u0007p\u0002\u0002\u018ct\u0003\u0002\u0002\u0002\u018d\u018e\u0007F\u0002\u0002\u018e\u018f\u0007q\u0002\u0002\u018f\u0190\u0007w\u0002\u0002\u0190\u0191\u0007d\u0002\u0002\u0191\u0192\u0007n\u0002\u0002\u0192\u0193\u0007g\u0002\u0002\u0193v\u0003\u0002\u0002\u0002\u0194\u0195\u0007W\u0002\u0002\u0195\u0196\u0007p\u0002\u0002\u0196\u0197\u0007m\u0002\u0002\u0197\u0198\u0007p\u0002\u0002\u0198\u0199\u0007q\u0002\u0002\u0199\u019a\u0007y\u0002\u0002\u019a\u019b\u0007p\u0002\u0002\u019bx\u0003\u0002\u0002\u0002\u019c\u01a2\u0005\u0081A\u0002\u019d\u01a1\u0005\u0081A\u0002\u019e\u01a1\u0005\u007f@\u0002\u019f\u01a1\u0007a\u0002\u0002\u01a0\u019d\u0003\u0002\u0002\u0002\u01a0\u019e\u0003\u0002\u0002\u0002\u01a0\u019f\u0003\u0002\u0002\u0002\u01a1\u01a4\u0003\u0002\u0002\u0002\u01a2\u01a0\u0003\u0002\u0002\u0002\u01a2\u01a3\u0003\u0002\u0002\u0002\u01a3\u01a5\u0003\u0002\u0002\u0002\u01a4\u01a2\u0003\u0002\u0002\u0002\u01a5\u01a6\u0007<\u0002\u0002\u01a6\u01a7\u0007<\u0002\u0002\u01a7\u01a9\u0003\u0002\u0002\u0002\u01a8\u019c\u0003\u0002\u0002\u0002\u01a8\u01a9\u0003\u0002\u0002\u0002\u01a9\u01aa\u0003\u0002\u0002\u0002\u01aa\u01b0\u0005\u0081A\u0002\u01ab\u01af\u0005\u0081A\u0002\u01ac\u01af\u0005\u007f@\u0002\u01ad\u01af\u0007a\u0002\u0002\u01ae\u01ab\u0003\u0002\u0002\u0002\u01ae\u01ac\u0003\u0002\u0002\u0002\u01ae\u01ad\u0003\u0002\u0002\u0002\u01af\u01b2\u0003\u0002\u0002\u0002\u01b0\u01ae\u0003\u0002\u0002\u0002\u01b0\u01b1\u0003\u0002\u0002\u0002\u01b1\u0246\u0003\u0002\u0002\u0002\u01b2\u01b0\u0003\u0002\u0002\u0002\u01b3\u01b4\u0007c\u0002\u0002\u01b4\u01b5\u0007u\u0002\u0002\u01b5\u01b6\u00070\u0002\u0002\u01b6\u01b7\u0007u\u0002\u0002\u01b7\u01b8\u0007e\u0002\u0002\u01b8\u01b9\u0007c\u0002\u0002\u01b9\u01ba\u0007n\u0002\u0002\u01ba\u01bb\u0007c\u0002\u0002\u01bb\u0246\u0007t\u0002\u0002\u01bc\u01bd\u0007c\u0002\u0002\u01bd\u01be\u0007u\u0002\u0002\u01be\u01bf\u00070\u0002\u0002\u01bf\u01c0\u0007o\u0002\u0002\u01c0\u01c1\u0007c\u0002\u0002\u01c1\u01c2\u0007v\u0002\u0002\u01c2\u01c3\u0007t\u0002\u0002\u01c3\u01c4\u0007k\u0002\u0002\u01c4\u0246\u0007z\u0002\u0002\u01c5\u01c6\u0007c\u0002\u0002\u01c6\u01c7\u0007u\u0002\u0002\u01c7\u01c8\u00070\u0002\u0002\u01c8\u01c9\u0007h\u0002\u0002\u01c9\u01ca\u0007t\u0002\u0002\u01ca\u01cb\u0007c\u0002\u0002\u01cb\u01cc\u0007o\u0002\u0002\u01cc\u0246\u0007g\u0002\u0002\u01cd\u01ce\u0007c\u0002\u0002\u01ce\u01cf\u0007u\u0002\u0002\u01cf\u01d0\u00070\u0002\u0002\u01d0\u01d1\u0007n\u0002\u0002\u01d1\u01d2\u0007k\u0002\u0002\u01d2\u01d3\u0007u\u0002\u0002\u01d3\u0246\u0007v\u0002\u0002\u01d4\u01d5\u0007c\u0002\u0002\u01d5\u01d6\u0007u\u0002\u0002\u01d6\u01d7\u00070\u0002\u0002\u01d7\u01d8\u0007f\u0002\u0002\u01d8\u01d9\u0007q\u0002\u0002\u01d9\u01da\u0007w\u0002\u0002\u01da\u01db\u0007d\u0002\u0002\u01db\u01dc\u0007n\u0002\u0002\u01dc\u0246\u0007g\u0002\u0002\u01dd\u01de\u0007c\u0002\u0002\u01de\u01df\u0007u\u0002\u0002\u01df\u01e0\u00070\u0002\u0002\u01e0\u01e1\u0007k\u0002\u0002\u01e1\u01e2\u0007p\u0002\u0002\u01e2\u01e3\u0007v\u0002\u0002\u01e3\u01e4\u0007g\u0002\u0002\u01e4\u01e5\u0007i\u0002\u0002\u01e5\u01e6\u0007g\u0002\u0002\u01e6\u0246\u0007t\u0002\u0002\u01e7\u01e8\u0007c\u0002\u0002\u01e8\u01e9\u0007u\u0002\u0002\u01e9\u01ea\u00070\u0002\u0002\u01ea\u01eb\u0007n\u0002\u0002\u01eb\u01ec\u0007q\u0002\u0002\u01ec\u01ed\u0007i\u0002\u0002\u01ed\u01ee\u0007k\u0002\u0002\u01ee\u01ef\u0007e\u0002\u0002\u01ef\u01f0\u0007c\u0002\u0002\u01f0\u0246\u0007n\u0002\u0002\u01f1\u01f2\u0007c\u0002\u0002\u01f2\u01f3\u0007u\u0002\u0002\u01f3\u01f4\u00070\u0002\u0002\u01f4\u01f5\u0007d\u0002\u0002\u01f5\u01f6\u0007q\u0002\u0002\u01f6\u01f7\u0007q\u0002\u0002\u01f7\u01f8\u0007n\u0002\u0002\u01f8\u01f9\u0007g\u0002\u0002\u01f9\u01fa\u0007c\u0002\u0002\u01fa\u0246\u0007p\u0002\u0002\u01fb\u01fc\u0007k\u0002\u0002\u01fc\u01fd\u0007p\u0002\u0002\u01fd\u01fe\u0007f\u0002\u0002\u01fe\u01ff\u0007g\u0002\u0002\u01ff\u0200\u0007z\u0002\u0002\u0200\u0201\u00070\u0002\u0002\u0201\u0202\u0007t\u0002\u0002\u0202\u0203\u0007g\u0002\u0002\u0203\u0204\u0007v\u0002\u0002\u0204\u0205\u0007w\u0002\u0002\u0205\u0206\u0007t\u0002\u0002\u0206\u0246\u0007p\u0002\u0002\u0207\u0208\u0007g\u0002\u0002\u0208\u0209\u0007o\u0002\u0002\u0209\u020a\u0007r\u0002\u0002\u020a\u020b\u0007v\u0002\u0002\u020b\u020c\u0007{\u0002\u0002\u020c\u020d\u00070\u0002\u0002\u020d\u020e\u0007t\u0002\u0002\u020e\u020f\u0007g\u0002\u0002\u020f\u0210\u0007v\u0002\u0002\u0210\u0211\u0007w\u0002\u0002\u0211\u0212\u0007t\u0002\u0002\u0212\u0246\u0007p\u0002\u0002\u0213\u0214\u0007n\u0002\u0002\u0214\u0215\u0007q\u0002\u0002\u0215\u0216\u0007y\u0002\u0002\u0216\u0217\u0007g\u0002\u0002\u0217\u0218\u0007t\u0002\u0002\u0218\u0219\u00070\u0002\u0002\u0219\u021a\u0007v\u0002\u0002\u021a\u021b\u0007c\u0002\u0002\u021b\u021c\u0007k\u0002\u0002\u021c\u0246\u0007n\u0002\u0002\u021d\u021e\u0007n\u0002\u0002\u021e\u021f\u0007q\u0002\u0002\u021f\u0220\u0007y\u0002\u0002\u0220\u0221\u0007g\u0002\u0002\u0221\u0222\u0007t\u0002\u0002\u0222\u0223\u00070\u0002\u0002\u0223\u0224\u0007v\u0002\u0002\u0224\u0225\u0007t\u0002\u0002\u0225\u0246\u0007k\u0002\u0002\u0226\u0227\u0007w\u0002\u0002\u0227\u0228\u0007r\u0002\u0002\u0228\u0229\u0007r\u0002\u0002\u0229\u022a\u0007g\u0002\u0002\u022a\u022b\u0007t\u0002\u0002\u022b\u022c\u00070\u0002\u0002\u022c\u022d\u0007v\u0002\u0002\u022d\u022e\u0007t\u0002\u0002\u022e\u0246\u0007k\u0002\u0002\u022f\u0230\u0007k\u0002\u0002\u0230\u0231\u0007u\u0002\u0002\u0231\u0232\u00070\u0002\u0002\u0232\u0233\u0007p\u0002\u0002\u0233\u0246\u0007c\u0002\u0002\u0234\u0235\u0007k\u0002\u0002\u0235\u0236\u0007u\u0002\u0002\u0236\u0237\u00070\u0002\u0002\u0237\u0238\u0007p\u0002\u0002\u0238\u0239\u0007c\u0002\u0002\u0239\u0246\u0007p\u0002\u0002\u023a\u023b\u0007k\u0002\u0002\u023b\u023c\u0007u\u0002\u0002\u023c\u023d\u00070\u0002\u0002\u023d\u023e\u0007k\u0002\u0002\u023e\u023f\u0007p\u0002\u0002\u023f\u0240\u0007h\u0002\u0002\u0240\u0241\u0007k\u0002\u0002\u0241\u0242\u0007p\u0002\u0002\u0242\u0243\u0007k\u0002\u0002\u0243\u0244\u0007v\u0002\u0002\u0244\u0246\u0007g\u0002\u0002\u0245\u01a8\u0003\u0002\u0002\u0002\u0245\u01b3\u0003\u0002\u0002\u0002\u0245\u01bc\u0003\u0002\u0002\u0002\u0245\u01c5\u0003\u0002\u0002\u0002\u0245\u01cd\u0003\u0002\u0002\u0002\u0245\u01d4\u0003\u0002\u0002\u0002\u0245\u01dd\u0003\u0002\u0002\u0002\u0245\u01e7\u0003\u0002\u0002\u0002\u0245\u01f1\u0003\u0002\u0002\u0002\u0245\u01fb\u0003\u0002\u0002\u0002\u0245\u0207\u0003\u0002\u0002\u0002\u0245\u0213\u0003\u0002\u0002\u0002\u0245\u021d\u0003\u0002\u0002\u0002\u0245\u0226\u0003\u0002\u0002\u0002\u0245\u022f\u0003\u0002\u0002\u0002\u0245\u0234\u0003\u0002\u0002\u0002\u0245\u023a\u0003\u0002\u0002\u0002\u0246z\u0003\u0002\u0002\u0002\u0247\u0249\u0005\u007f@\u0002\u0248\u0247\u0003\u0002\u0002\u0002\u0249\u024a\u0003\u0002\u0002\u0002\u024a\u0248\u0003\u0002\u0002\u0002\u024a\u024b\u0003\u0002\u0002\u0002\u024b\u024d\u0003\u0002\u0002\u0002\u024c\u024e\t\u0002\u0002\u0002\u024d\u024c\u0003\u0002\u0002\u0002\u024d\u024e\u0003\u0002\u0002\u0002\u024e|\u0003\u0002\u0002\u0002\u024f\u0251\u0005\u007f@\u0002\u0250\u024f\u0003\u0002\u0002\u0002\u0251\u0252\u0003\u0002\u0002\u0002\u0252\u0250\u0003\u0002\u0002\u0002\u0252\u0253\u0003\u0002\u0002\u0002\u0253\u0254\u0003\u0002\u0002\u0002\u0254\u0258\u00070\u0002\u0002\u0255\u0257\u0005\u007f@\u0002\u0256\u0255\u0003\u0002\u0002\u0002\u0257\u025a\u0003\u0002\u0002\u0002\u0258\u0256\u0003\u0002\u0002\u0002\u0258\u0259\u0003\u0002\u0002\u0002\u0259\u025c\u0003\u0002\u0002\u0002\u025a\u0258\u0003\u0002\u0002\u0002\u025b\u025d\u0005\u0083B\u0002\u025c\u025b\u0003\u0002\u0002\u0002\u025c\u025d\u0003\u0002\u0002\u0002\u025d\u025f\u0003\u0002\u0002\u0002\u025e\u0260\t\u0002\u0002\u0002\u025f\u025e\u0003\u0002\u0002\u0002\u025f\u0260\u0003\u0002\u0002\u0002\u0260\u0279\u0003\u0002\u0002\u0002\u0261\u0263\u0005\u007f@\u0002\u0262\u0261\u0003\u0002\u0002\u0002\u0263\u0264\u0003\u0002\u0002\u0002\u0264\u0262\u0003\u0002\u0002\u0002\u0264\u0265\u0003\u0002\u0002\u0002\u0265\u0267\u0003\u0002\u0002\u0002\u0266\u0268\u0005\u0083B\u0002\u0267\u0266\u0003\u0002\u0002\u0002\u0267\u0268\u0003\u0002\u0002\u0002\u0268\u026a\u0003\u0002\u0002\u0002\u0269\u026b\t\u0002\u0002\u0002\u026a\u0269\u0003\u0002\u0002\u0002\u026a\u026b\u0003\u0002\u0002\u0002\u026b\u0279\u0003\u0002\u0002\u0002\u026c\u026e\u00070\u0002\u0002\u026d\u026f\u0005\u007f@\u0002\u026e\u026d\u0003\u0002\u0002\u0002\u026f\u0270\u0003\u0002\u0002\u0002\u0270\u026e\u0003\u0002\u0002\u0002\u0270\u0271\u0003\u0002\u0002\u0002\u0271\u0273\u0003\u0002\u0002\u0002\u0272\u0274\u0005\u0083B\u0002\u0273\u0272\u0003\u0002\u0002\u0002\u0273\u0274\u0003\u0002\u0002\u0002\u0274\u0276\u0003\u0002\u0002\u0002\u0275\u0277\t\u0002\u0002\u0002\u0276\u0275\u0003\u0002\u0002\u0002\u0276\u0277\u0003\u0002\u0002\u0002\u0277\u0279\u0003\u0002\u0002\u0002\u0278\u0250\u0003\u0002\u0002\u0002\u0278\u0262\u0003\u0002\u0002\u0002\u0278\u026c\u0003\u0002\u0002\u0002\u0279~\u0003\u0002\u0002\u0002\u027a\u027b\u00042;\u0002\u027b\u0080\u0003\u0002\u0002\u0002\u027c\u027d\t\u0003\u0002\u0002\u027d\u0082\u0003\u0002\u0002\u0002\u027e\u0280\t\u0004\u0002\u0002\u027f\u0281\t\u0005\u0002\u0002\u0280\u027f\u0003\u0002\u0002\u0002\u0280\u0281\u0003\u0002\u0002\u0002\u0281\u0282\u0003\u0002\u0002\u0002\u0282\u0283\u0005{>\u0002\u0283\u0084\u0003\u0002\u0002\u0002\u0284\u0285\u0007&\u0002\u0002\u0285\u028b\u0005\u0081A\u0002\u0286\u028a\u0005\u0081A\u0002\u0287\u028a\u0005\u007f@\u0002\u0288\u028a\u0007a\u0002\u0002\u0289\u0286\u0003\u0002\u0002\u0002\u0289\u0287\u0003\u0002\u0002\u0002\u0289\u0288\u0003\u0002\u0002\u0002\u028a\u028d\u0003\u0002\u0002\u0002\u028b\u0289\u0003\u0002\u0002\u0002\u028b\u028c\u0003\u0002\u0002\u0002\u028c\u0086\u0003\u0002\u0002\u0002\u028d\u028b\u0003\u0002\u0002\u0002\u028e\u0290\u0007&\u0002\u0002\u028f\u0291\u0005\u007f@\u0002\u0290\u028f\u0003\u0002\u0002\u0002\u0291\u0292\u0003\u0002\u0002\u0002\u0292\u0290\u0003\u0002\u0002\u0002\u0292\u0293\u0003\u0002\u0002\u0002\u0293\u0088\u0003\u0002\u0002\u0002\u0294\u0299\u0007$\u0002\u0002\u0295\u0298\u0005\u008bF\u0002\u0296\u0298\n\u0006\u0002\u0002\u0297\u0295\u0003\u0002\u0002\u0002\u0297\u0296\u0003\u0002\u0002\u0002\u0298\u029b\u0003\u0002\u0002\u0002\u0299\u029a\u0003\u0002\u0002\u0002\u0299\u0297\u0003\u0002\u0002\u0002\u029a\u029c\u0003\u0002\u0002\u0002\u029b\u0299\u0003\u0002\u0002\u0002\u029c\u02a7\u0007$\u0002\u0002\u029d\u02a2\u0007)\u0002\u0002\u029e\u02a1\u0005\u008bF\u0002\u029f\u02a1\n\u0007\u0002\u0002\u02a0\u029e\u0003\u0002\u0002\u0002\u02a0\u029f\u0003\u0002\u0002\u0002\u02a1\u02a4\u0003\u0002\u0002\u0002\u02a2\u02a3\u0003\u0002\u0002\u0002\u02a2\u02a0\u0003\u0002\u0002\u0002\u02a3\u02a5\u0003\u0002\u0002\u0002\u02a4\u02a2\u0003\u0002\u0002\u0002\u02a5\u02a7\u0007)\u0002\u0002\u02a6\u0294\u0003\u0002\u0002\u0002\u02a6\u029d\u0003\u0002\u0002\u0002\u02a7\u008a\u0003\u0002\u0002\u0002\u02a8\u02a9\u0007^\u0002\u0002\u02a9\u02aa\t\b\u0002\u0002\u02aa\u008c\u0003\u0002\u0002\u0002\u02ab\u02af\u0007%\u0002\u0002\u02ac\u02ae\u000b\u0002\u0002\u0002\u02ad\u02ac\u0003\u0002\u0002\u0002\u02ae\u02b1\u0003\u0002\u0002\u0002\u02af\u02b0\u0003\u0002\u0002\u0002\u02af\u02ad\u0003\u0002\u0002\u0002\u02b0\u02b3\u0003\u0002\u0002\u0002\u02b1\u02af\u0003\u0002\u0002\u0002\u02b2\u02b4\u0007\u000f\u0002\u0002\u02b3\u02b2\u0003\u0002\u0002\u0002\u02b3\u02b4\u0003\u0002\u0002\u0002\u02b4\u02b5\u0003\u0002\u0002\u0002\u02b5\u02b6\u0007\f\u0002\u0002\u02b6\u02b7\u0003\u0002\u0002\u0002\u02b7\u02b8\bG\u0002\u0002\u02b8\u008e\u0003\u0002\u0002\u0002\u02b9\u02ba\u00071\u0002\u0002\u02ba\u02bb\u0007,\u0002\u0002\u02bb\u02bf\u0003\u0002\u0002\u0002\u02bc\u02be\u000b\u0002\u0002\u0002\u02bd\u02bc\u0003\u0002\u0002\u0002\u02be\u02c1\u0003\u0002\u0002\u0002\u02bf\u02c0\u0003\u0002\u0002\u0002\u02bf\u02bd\u0003\u0002\u0002\u0002\u02c0\u02c2\u0003\u0002\u0002\u0002\u02c1\u02bf\u0003\u0002\u0002\u0002\u02c2\u02c3\u0007,\u0002\u0002\u02c3\u02c4\u00071\u0002\u0002\u02c4\u02c5\u0003\u0002\u0002\u0002\u02c5\u02c6\bH\u0002\u0002\u02c6\u0090\u0003\u0002\u0002\u0002\u02c7\u02c9\t\t\u0002\u0002\u02c8\u02c7\u0003\u0002\u0002\u0002\u02c9\u02ca\u0003\u0002\u0002\u0002\u02ca\u02c8\u0003\u0002\u0002\u0002\u02ca\u02cb\u0003\u0002\u0002\u0002\u02cb\u02cc\u0003\u0002\u0002\u0002\u02cc\u02cd\bI\u0002\u0002\u02cd\u0092\u0003\u0002\u0002\u0002#\u0002\u01a0\u01a2\u01a8\u01ae\u01b0\u0245\u024a\u024d\u0252\u0258\u025c\u025f\u0264\u0267\u026a\u0270\u0273\u0276\u0278\u0280\u0289\u028b\u0292\u0297\u0299\u02a0\u02a2\u02a6\u02af\u02b3\u02bf\u02ca\u0003\b\u0002\u0002"`
`public static final int`
`ALPHABET`
`64`
`public static final int`
`COMMANDLINE_NAMED_ID`
`65`
`public static final int`
`COMMANDLINE_POSITION_ID`
`66`
`public static final int`
`DIGIT`
`63`
`public static final int`
`DOUBLE`
`62`
`public static final int`
`ID`
`60`
`public static final int`
`INT`
`61`
`public static final int`
`LINE_COMMENT`
`68`
`public static final int`
`MULTILINE_BLOCK_COMMENT`
`69`
`public static final int`
`STRING`
`67`
`public static final int`
`T__0`
`1`
`public static final int`
`T__1`
`2`
`public static final int`
`T__10`
`11`
`public static final int`
`T__11`
`12`
`public static final int`
`T__12`
`13`
`public static final int`
`T__13`
`14`
`public static final int`
`T__14`
`15`
`public static final int`
`T__15`
`16`
`public static final int`
`T__16`
`17`
`public static final int`
`T__17`
`18`
`public static final int`
`T__18`
`19`
`public static final int`
`T__19`
`20`
`public static final int`
`T__2`
`3`
`public static final int`
`T__20`
`21`
`public static final int`
`T__21`
`22`
`public static final int`
`T__22`
`23`
`public static final int`
`T__23`
`24`
`public static final int`
`T__24`
`25`
`public static final int`
`T__25`
`26`
`public static final int`
`T__26`
`27`
`public static final int`
`T__27`
`28`
`public static final int`
`T__28`
`29`
`public static final int`
`T__29`
`30`
`public static final int`
`T__3`
`4`
`public static final int`
`T__30`
`31`
`public static final int`
`T__31`
`32`
`public static final int`
`T__32`
`33`
`public static final int`
`T__33`
`34`
`public static final int`
`T__34`
`35`
`public static final int`
`T__35`
`36`
`public static final int`
`T__36`
`37`
`public static final int`
`T__37`
`38`
`public static final int`
`T__38`
`39`
`public static final int`
`T__39`
`40`
`public static final int`
`T__4`
`5`
`public static final int`
`T__40`
`41`
`public static final int`
`T__41`
`42`
`public static final int`
`T__42`
`43`
`public static final int`
`T__43`
`44`
`public static final int`
`T__44`
`45`
`public static final int`
`T__45`
`46`
`public static final int`
`T__46`
`47`
`public static final int`
`T__47`
`48`
`public static final int`
`T__48`
`49`
`public static final int`
`T__49`
`50`
`public static final int`
`T__5`
`6`
`public static final int`
`T__50`
`51`
`public static final int`
`T__51`
`52`
`public static final int`
`T__52`
`53`
`public static final int`
`T__53`
`54`
`public static final int`
`T__54`
`55`
`public static final int`
`T__55`
`56`
`public static final int`
`T__56`
`57`
`public static final int`
`T__57`
`58`
`public static final int`
`T__58`
`59`
`public static final int`
`T__6`
`7`
`public static final int`
`T__7`
`8`
`public static final int`
`T__8`
`9`
`public static final int`
`T__9`
`10`
`public static final int`
`WHITESPACE`
`70`
org.apache.sysds.parser.dml.DmlParser
Modifier and Type
Constant Field
Value
`public static final String`
`_serializedATN`
`"\u0003\u608b\ua72a\u8133\ub9ed\u417c\u3be7\u7786\u5964\u0003H\u0230\u0004\u0002\t\u0002\u0004\u0003\t\u0003\u0004\u0004\t\u0004\u0004\u0005\t\u0005\u0004\u0006\t\u0006\u0004\u0007\t\u0007\u0004\b\t\b\u0004\t\t\t\u0004\n\t\n\u0004\u000b\t\u000b\u0004\f\t\f\u0004\r\t\r\u0004\u000e\t\u000e\u0004\u000f\t\u000f\u0003\u0002\u0003\u0002\u0007\u0002!\n\u0002\f\u0002\u000e\u0002$\u000b\u0002\u0003\u0002\u0003\u0002\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003/\n\u0003\f\u0003\u000e\u00032\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u00039\n\u0003\f\u0003\u000e\u0003<\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0005\u0003A\n\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003H\n\u0003\f\u0003\u000e\u0003K\u000b\u0003\u0005\u0003M\n\u0003\u0003\u0003\u0003\u0003\u0007\u0003Q\n\u0003\f\u0003\u000e\u0003T\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003Z\n\u0003\f\u0003\u000e\u0003]\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003f\n\u0003\f\u0003\u000e\u0003i\u000b\u0003\u0005\u0003k\n\u0003\u0003\u0003\u0003\u0003\u0007\u0003o\n\u0003\f\u0003\u000e\u0003r\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003}\n\u0003\f\u0003\u000e\u0003\u0080\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u0086\n\u0003\f\u0003\u000e\u0003\u0089\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u008f\n\u0003\f\u0003\u000e\u0003\u0092\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u009a\n\u0003\f\u0003\u000e\u0003\u009d\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00a2\n\u0003\f\u0003\u000e\u0003\u00a5\u000b\u0003\u0007\u0003\u00a7\n\u0003\f\u0003\u000e\u0003\u00aa\u000b\u0003\u0003\u0003\u0005\u0003\u00ad\n\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00b2\n\u0003\f\u0003\u000e\u0003\u00b5\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00ba\n\u0003\f\u0003\u000e\u0003\u00bd\u000b\u0003\u0007\u0003\u00bf\n\u0003\f\u0003\u000e\u0003\u00c2\u000b\u0003\u0003\u0003\u0005\u0003\u00c5\n\u0003\u0005\u0003\u00c7\n\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00d0\n\u0003\f\u0003\u000e\u0003\u00d3\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00d8\n\u0003\f\u0003\u000e\u0003\u00db\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00e0\n\u0003\f\u0003\u000e\u0003\u00e3\u000b\u0003\u0007\u0003\u00e5\n\u0003\f\u0003\u000e\u0003\u00e8\u000b\u0003\u0003\u0003\u0005\u0003\u00eb\n\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00f4\n\u0003\f\u0003\u000e\u0003\u00f7\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u00fc\n\u0003\f\u0003\u000e\u0003\u00ff\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u0104\n\u0003\f\u0003\u000e\u0003\u0107\u000b\u0003\u0007\u0003\u0109\n\u0003\f\u0003\u000e\u0003\u010c\u000b\u0003\u0003\u0003\u0005\u0003\u010f\n\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u0117\n\u0003\f\u0003\u000e\u0003\u011a\u000b\u0003\u0003\u0003\u0003\u0003\u0003\u0003\u0007\u0003\u011f\n\u0003\f\u0003\u000e\u0003\u0122\u000b\u0003\u0007\u0003\u0124\n\u0003\f\u0003\u000e\u0003\u0127\u000b\u0003\u0003\u0003\u0005\u0003\u012a\n\u0003\u0005\u0003\u012c\n\u0003\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0003\u0004\u0005\u0004\u0139\n\u0004\u0003\u0004\u0003\u0004\u0005\u0004\u013d\n\u0004\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u0146\n\u0005\f\u0005\u000e\u0005\u0149\u000b\u0005\u0005\u0005\u014b\n\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u0153\n\u0005\f\u0005\u000e\u0005\u0156\u000b\u0005\u0005\u0005\u0158\n\u0005\u0003\u0005\u0005\u0005\u015b\n\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u0160\n\u0005\f\u0005\u000e\u0005\u0163\u000b\u0005\u0007\u0005\u0165\n\u0005\f\u0005\u000e\u0005\u0168\u000b\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u016c\n\u0005\f\u0005\u000e\u0005\u016f\u000b\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u0178\n\u0005\f\u0005\u000e\u0005\u017b\u000b\u0005\u0005\u0005\u017d\n\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u0185\n\u0005\f\u0005\u000e\u0005\u0188\u000b\u0005\u0005\u0005\u018a\n\u0005\u0003\u0005\u0005\u0005\u018d\n\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u0195\n\u0005\f\u0005\u000e\u0005\u0198\u000b\u0005\u0005\u0005\u019a\n\u0005\u0003\u0005\u0003\u0005\u0007\u0005\u019e\n\u0005\f\u0005\u000e\u0005\u01a1\u000b\u0005\u0005\u0005\u01a3\n\u0005\u0003\u0006\u0003\u0006\u0003\u0006\u0003\u0006\u0003\u0006\u0005\u0006\u01aa\n\u0006\u0005\u0006\u01ac\n\u0006\u0003\u0006\u0003\u0006\u0003\u0006\u0003\u0006\u0005\u0006\u01b2\n\u0006\u0005\u0006\u01b4\n\u0006\u0005\u0006\u01b6\n\u0006\u0003\u0006\u0003\u0006\u0003\u0006\u0003\u0006\u0005\u0006\u01bc\n\u0006\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0007\u0007\u01c8\n\u0007\f\u0007\u000e\u0007\u01cb\u000b\u0007\u0005\u0007\u01cd\n\u0007\u0003\u0007\u0003\u0007\u0007\u0007\u01d1\n\u0007\f\u0007\u000e\u0007\u01d4\u000b\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0007\u0007\u01de\n\u0007\f\u0007\u000e\u0007\u01e1\u000b\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0005\u0007\u01eb\n\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0003\u0007\u0007\u0007\u0205\n\u0007\f\u0007\u000e\u0007\u0208\u000b\u0007\u0003\b\u0003\b\u0003\b\u0003\t\u0003\t\u0003\t\u0003\t\u0005\t\u0211\n\t\u0003\t\u0005\t\u0214\n\t\u0003\n\u0003\n\u0005\n\u0218\n\n\u0003\n\u0003\n\u0003\u000b\u0003\u000b\u0003\u000b\u0003\u000b\u0003\f\u0003\f\u0003\f\u0003\f\u0003\r\u0003\r\u0003\r\u0003\r\u0003\r\u0003\r\u0005\r\u022a\n\r\u0003\u000e\u0003\u000e\u0003\u000f\u0003\u000f\u0003\u000f\u0002\u0003\f\u0010\u0002\u0004\u0006\b\n\f\u000e\u0010\u0012\u0014\u0016\u0018\u001a\u001c\u0002\n\u0003\u0002\t\n\u0003\u0002\u001e\u001f\u0003\u0002!\"\u0003\u0002#$\u0003\u0002%*\u0003\u0002,-\u0003\u0002./\u0003\u00022=\u0002\u0286\u0002\"\u0003\u0002\u0002\u0002\u0004\u012b\u0003\u0002\u0002\u0002\u0006\u013c\u0003\u0002\u0002\u0002\b\u01a2\u0003\u0002\u0002\u0002\n\u01bb\u0003\u0002\u0002\u0002\f\u01ea\u0003\u0002\u0002\u0002\u000e\u0209\u0003\u0002\u0002\u0002\u0010\u020c\u0003\u0002\u0002\u0002\u0012\u0217\u0003\u0002\u0002\u0002\u0014\u021b\u0003\u0002\u0002\u0002\u0016\u021f\u0003\u0002\u0002\u0002\u0018\u0229\u0003\u0002\u0002\u0002\u001a\u022b\u0003\u0002\u0002\u0002\u001c\u022d\u0003\u0002\u0002\u0002\u001e!\u0005\u0004\u0003\u0002\u001f!\u0005\b\u0005\u0002 \u001e\u0003\u0002\u0002\u0002 \u001f\u0003\u0002\u0002\u0002!$\u0003\u0002\u0002\u0002\" \u0003\u0002\u0002\u0002\"#\u0003\u0002\u0002\u0002#%\u0003\u0002\u0002\u0002$\"\u0003\u0002\u0002\u0002%&\u0007\u0002\u0002\u0003&\u0003\u0003\u0002\u0002\u0002\'(\u0007\u0003\u0002\u0002()\u0007\u0004\u0002\u0002)*\u0007E\u0002\u0002*+\u0007\u0005\u0002\u0002+,\u0007\u0006\u0002\u0002,0\u0007>\u0002\u0002-/\u0007\u0007\u0002\u0002.-\u0003\u0002\u0002\u0002/2\u0003\u0002\u0002\u00020.\u0003\u0002\u0002\u000201\u0003\u0002\u0002\u00021\u012c\u0003\u0002\u0002\u000220\u0003\u0002\u0002\u000234\u0007\b\u0002\u000245\u0007\u0004\u0002\u000256\u0007E\u0002\u00026:\u0007\u0005\u0002\u000279\u0007\u0007\u0002\u000287\u0003\u0002\u0002\u00029<\u0003\u0002\u0002\u0002:8\u0003\u0002\u0002\u0002:;\u0003\u0002\u0002\u0002;\u012c\u0003\u0002\u0002\u0002<:\u0003\u0002\u0002\u0002=>\u0005\n\u0006\u0002>?\t\u0002\u0002\u0002?A\u0003\u0002\u0002\u0002@=\u0003\u0002\u0002\u0002@A\u0003\u0002\u0002\u0002AB\u0003\u0002\u0002\u0002BC\u0007>\u0002\u0002CL\u0007\u0004\u0002\u0002DI\u0005\u0012\n\u0002EF\u0007\u000b\u0002\u0002FH\u0005\u0012\n\u0002GE\u0003\u0002\u0002\u0002HK\u0003\u0002\u0002\u0002IG\u0003\u0002\u0002\u0002IJ\u0003\u0002\u0002\u0002JM\u0003\u0002\u0002\u0002KI\u0003\u0002\u0002\u0002LD\u0003\u0002\u0002\u0002LM\u0003\u0002\u0002\u0002MN\u0003\u0002\u0002\u0002NR\u0007\u0005\u0002\u0002OQ\u0007\u0007\u0002\u0002PO\u0003\u0002\u0002\u0002QT\u0003\u0002\u0002\u0002RP\u0003\u0002\u0002\u0002RS\u0003\u0002\u0002\u0002S\u012c\u0003\u0002\u0002\u0002TR\u0003\u0002\u0002\u0002UV\u0007\f\u0002\u0002V[\u0005\n\u0006\u0002WX\u0007\u000b\u0002\u0002XZ\u0005\n\u0006\u0002YW\u0003\u0002\u0002\u0002Z]\u0003\u0002\u0002\u0002[Y\u0003\u0002\u0002\u0002[\\\u0003\u0002\u0002\u0002\\^\u0003\u0002\u0002\u0002][\u0003\u0002\u0002\u0002^_\u0007\r\u0002\u0002_`\t\u0002\u0002\u0002`a\u0007>\u0002\u0002aj\u0007\u0004\u0002\u0002bg\u0005\u0012\n\u0002cd\u0007\u000b\u0002\u0002df\u0005\u0012\n\u0002ec\u0003\u0002\u0002\u0002fi\u0003\u0002\u0002\u0002ge\u0003\u0002\u0002\u0002gh\u0003\u0002\u0002\u0002hk\u0003\u0002\u0002\u0002ig\u0003\u0002\u0002\u0002jb\u0003\u0002\u0002\u0002jk\u0003\u0002\u0002\u0002kl\u0003\u0002\u0002\u0002lp\u0007\u0005\u0002\u0002mo\u0007\u0007\u0002\u0002nm\u0003\u0002\u0002\u0002or\u0003\u0002\u0002\u0002pn\u0003\u0002\u0002\u0002pq\u0003\u0002\u0002\u0002q\u012c\u0003\u0002\u0002\u0002rp\u0003\u0002\u0002\u0002st\u0005\n\u0006\u0002tu\t\u0002\u0002\u0002uv\u0007\u000e\u0002\u0002vw\u0007\u0004\u0002\u0002wx\u0005\n\u0006\u0002xy\u0007\u000b\u0002\u0002yz\u0005\f\u0007\u0002z~\u0007\u0005\u0002\u0002{}\u0007\u0007\u0002\u0002|{\u0003\u0002\u0002\u0002}\u0080\u0003\u0002\u0002\u0002~|\u0003\u0002\u0002\u0002~\u007f\u0003\u0002\u0002\u0002\u007f\u012c\u0003\u0002\u0002\u0002\u0080~\u0003\u0002\u0002\u0002\u0081\u0082\u0005\n\u0006\u0002\u0082\u0083\t\u0002\u0002\u0002\u0083\u0087\u0005\f\u0007\u0002\u0084\u0086\u0007\u0007\u0002\u0002\u0085\u0084\u0003\u0002\u0002\u0002\u0086\u0089\u0003\u0002\u0002\u0002\u0087\u0085\u0003\u0002\u0002\u0002\u0087\u0088\u0003\u0002\u0002\u0002\u0088\u012c\u0003\u0002\u0002\u0002\u0089\u0087\u0003\u0002\u0002\u0002\u008a\u008b\u0005\n\u0006\u0002\u008b\u008c\u0007\u000f\u0002\u0002\u008c\u0090\u0005\f\u0007\u0002\u008d\u008f\u0007\u0007\u0002\u0002\u008e\u008d\u0003\u0002\u0002\u0002\u008f\u0092\u0003\u0002\u0002\u0002\u0090\u008e\u0003\u0002\u0002\u0002\u0090\u0091\u0003\u0002\u0002\u0002\u0091\u012c\u0003\u0002\u0002\u0002\u0092\u0090\u0003\u0002\u0002\u0002\u0093\u0094\u0007\u0010\u0002\u0002\u0094\u0095\u0007\u0004\u0002\u0002\u0095\u0096\u0005\f\u0007\u0002\u0096\u00ac\u0007\u0005\u0002\u0002\u0097\u009b\u0005\u0004\u0003\u0002\u0098\u009a\u0007\u0007\u0002\u0002\u0099\u0098\u0003\u0002\u0002\u0002\u009a\u009d\u0003\u0002\u0002\u0002\u009b\u0099\u0003\u0002\u0002\u0002\u009b\u009c\u0003\u0002\u0002\u0002\u009c\u00ad\u0003\u0002\u0002\u0002\u009d\u009b\u0003\u0002\u0002\u0002\u009e\u00a8\u0007\u0011\u0002\u0002\u009f\u00a3\u0005\u0004\u0003\u0002\u00a0\u00a2\u0007\u0007\u0002\u0002\u00a1\u00a0\u0003\u0002\u0002\u0002\u00a2\u00a5\u0003\u0002\u0002\u0002\u00a3\u00a1\u0003\u0002\u0002\u0002\u00a3\u00a4\u0003\u0002\u0002\u0002\u00a4\u00a7\u0003\u0002\u0002\u0002\u00a5\u00a3\u0003\u0002\u0002\u0002\u00a6\u009f\u0003\u0002\u0002\u0002\u00a7\u00aa\u0003\u0002\u0002\u0002\u00a8\u00a6\u0003\u0002\u0002\u0002\u00a8\u00a9\u0003\u0002\u0002\u0002\u00a9\u00ab\u0003\u0002\u0002\u0002\u00aa\u00a8\u0003\u0002\u0002\u0002\u00ab\u00ad\u0007\u0012\u0002\u0002\u00ac\u0097\u0003\u0002\u0002\u0002\u00ac\u009e\u0003\u0002\u0002\u0002\u00ad\u00c6\u0003\u0002\u0002\u0002\u00ae\u00c4\u0007\u0013\u0002\u0002\u00af\u00b3\u0005\u0004\u0003\u0002\u00b0\u00b2\u0007\u0007\u0002\u0002\u00b1\u00b0\u0003\u0002\u0002\u0002\u00b2\u00b5\u0003\u0002\u0002\u0002\u00b3\u00b1\u0003\u0002\u0002\u0002\u00b3\u00b4\u0003\u0002\u0002\u0002\u00b4\u00c5\u0003\u0002\u0002\u0002\u00b5\u00b3\u0003\u0002\u0002\u0002\u00b6\u00c0\u0007\u0011\u0002\u0002\u00b7\u00bb\u0005\u0004\u0003\u0002\u00b8\u00ba\u0007\u0007\u0002\u0002\u00b9\u00b8\u0003\u0002\u0002\u0002\u00ba\u00bd\u0003\u0002\u0002\u0002\u00bb\u00b9\u0003\u0002\u0002\u0002\u00bb\u00bc\u0003\u0002\u0002\u0002\u00bc\u00bf\u0003\u0002\u0002\u0002\u00bd\u00bb\u0003\u0002\u0002\u0002\u00be\u00b7\u0003\u0002\u0002\u0002\u00bf\u00c2\u0003\u0002\u0002\u0002\u00c0\u00be\u0003\u0002\u0002\u0002\u00c0\u00c1\u0003\u0002\u0002\u0002\u00c1\u00c3\u0003\u0002\u0002\u0002\u00c2\u00c0\u0003\u0002\u0002\u0002\u00c3\u00c5\u0007\u0012\u0002\u0002\u00c4\u00af\u0003\u0002\u0002\u0002\u00c4\u00b6\u0003\u0002\u0002\u0002\u00c5\u00c7\u0003\u0002\u0002\u0002\u00c6\u00ae\u0003\u0002\u0002\u0002\u00c6\u00c7\u0003\u0002\u0002\u0002\u00c7\u012c\u0003\u0002\u0002\u0002\u00c8\u00c9\u0007\u0014\u0002\u0002\u00c9\u00ca\u0007\u0004\u0002\u0002\u00ca\u00cb\u0007>\u0002\u0002\u00cb\u00cc\u0007\u0015\u0002\u0002\u00cc\u00d1\u0005\u0006\u0004\u0002\u00cd\u00ce\u0007\u000b\u0002\u0002\u00ce\u00d0\u0005\u0014\u000b\u0002\u00cf\u00cd\u0003\u0002\u0002\u0002\u00d0\u00d3\u0003\u0002\u0002\u0002\u00d1\u00cf\u0003\u0002\u0002\u0002\u00d1\u00d2\u0003\u0002\u0002\u0002\u00d2\u00d4\u0003\u0002\u0002\u0002\u00d3\u00d1\u0003\u0002\u0002\u0002\u00d4\u00ea\u0007\u0005\u0002\u0002\u00d5\u00d9\u0005\u0004\u0003\u0002\u00d6\u00d8\u0007\u0007\u0002\u0002\u00d7\u00d6\u0003\u0002\u0002\u0002\u00d8\u00db\u0003\u0002\u0002\u0002\u00d9\u00d7\u0003\u0002\u0002\u0002\u00d9\u00da\u0003\u0002\u0002\u0002\u00da\u00eb\u0003\u0002\u0002\u0002\u00db\u00d9\u0003\u0002\u0002\u0002\u00dc\u00e6\u0007\u0011\u0002\u0002\u00dd\u00e1\u0005\u0004\u0003\u0002\u00de\u00e0\u0007\u0007\u0002\u0002\u00df\u00de\u0003\u0002\u0002\u0002\u00e0\u00e3\u0003\u0002\u0002\u0002\u00e1\u00df\u0003\u0002\u0002\u0002\u00e1\u00e2\u0003\u0002\u0002\u0002\u00e2\u00e5\u0003\u0002\u0002\u0002\u00e3\u00e1\u0003\u0002\u0002\u0002\u00e4\u00dd\u0003\u0002\u0002\u0002\u00e5\u00e8\u0003\u0002\u0002\u0002\u00e6\u00e4\u0003\u0002\u0002\u0002\u00e6\u00e7\u0003\u0002\u0002\u0002\u00e7\u00e9\u0003\u0002\u0002\u0002\u00e8\u00e6\u0003\u0002\u0002\u0002\u00e9\u00eb\u0007\u0012\u0002\u0002\u00ea\u00d5\u0003\u0002\u0002\u0002\u00ea\u00dc\u0003\u0002\u0002\u0002\u00eb\u012c\u0003\u0002\u0002\u0002\u00ec\u00ed\u0007\u0016\u0002\u0002\u00ed\u00ee\u0007\u0004\u0002\u0002\u00ee\u00ef\u0007>\u0002\u0002\u00ef\u00f0\u0007\u0015\u0002\u0002\u00f0\u00f5\u0005\u0006\u0004\u0002\u00f1\u00f2\u0007\u000b\u0002\u0002\u00f2\u00f4\u0005\u0014\u000b\u0002\u00f3\u00f1\u0003\u0002\u0002\u0002\u00f4\u00f7\u0003\u0002\u0002\u0002\u00f5\u00f3\u0003\u0002\u0002\u0002\u00f5\u00f6\u0003\u0002\u0002\u0002\u00f6\u00f8\u0003\u0002\u0002\u0002\u00f7\u00f5\u0003\u0002\u0002\u0002\u00f8\u010e\u0007\u0005\u0002\u0002\u00f9\u00fd\u0005\u0004\u0003\u0002\u00fa\u00fc\u0007\u0007\u0002\u0002\u00fb\u00fa\u0003\u0002\u0002\u0002\u00fc\u00ff\u0003\u0002\u0002\u0002\u00fd\u00fb\u0003\u0002\u0002\u0002\u00fd\u00fe\u0003\u0002\u0002\u0002\u00fe\u010f\u0003\u0002\u0002\u0002\u00ff\u00fd\u0003\u0002\u0002\u0002\u0100\u010a\u0007\u0011\u0002\u0002\u0101\u0105\u0005\u0004\u0003\u0002\u0102\u0104\u0007\u0007\u0002\u0002\u0103\u0102\u0003\u0002\u0002\u0002\u0104\u0107\u0003\u0002\u0002\u0002\u0105\u0103\u0003\u0002\u0002\u0002\u0105\u0106\u0003\u0002\u0002\u0002\u0106\u0109\u0003\u0002\u0002\u0002\u0107\u0105\u0003\u0002\u0002\u0002\u0108\u0101\u0003\u0002\u0002\u0002\u0109\u010c\u0003\u0002\u0002\u0002\u010a\u0108\u0003\u0002\u0002\u0002\u010a\u010b\u0003\u0002\u0002\u0002\u010b\u010d\u0003\u0002\u0002\u0002\u010c\u010a\u0003\u0002\u0002\u0002\u010d\u010f\u0007\u0012\u0002\u0002\u010e\u00f9\u0003\u0002\u0002\u0002\u010e\u0100\u0003\u0002\u0002\u0002\u010f\u012c\u0003\u0002\u0002\u0002\u0110\u0111\u0007\u0017\u0002\u0002\u0111\u0112\u0007\u0004\u0002\u0002\u0112\u0113\u0005\f\u0007\u0002\u0113\u0129\u0007\u0005\u0002\u0002\u0114\u0118\u0005\u0004\u0003\u0002\u0115\u0117\u0007\u0007\u0002\u0002\u0116\u0115\u0003\u0002\u0002\u0002\u0117\u011a\u0003\u0002\u0002\u0002\u0118\u0116\u0003\u0002\u0002\u0002\u0118\u0119\u0003\u0002\u0002\u0002\u0119\u012a\u0003\u0002\u0002\u0002\u011a\u0118\u0003\u0002\u0002\u0002\u011b\u0125\u0007\u0011\u0002\u0002\u011c\u0120\u0005\u0004\u0003\u0002\u011d\u011f\u0007\u0007\u0002\u0002\u011e\u011d\u0003\u0002\u0002\u0002\u011f\u0122\u0003\u0002\u0002\u0002\u0120\u011e\u0003\u0002\u0002\u0002\u0120\u0121\u0003\u0002\u0002\u0002\u0121\u0124\u0003\u0002\u0002\u0002\u0122\u0120\u0003\u0002\u0002\u0002\u0123\u011c\u0003\u0002\u0002\u0002\u0124\u0127\u0003\u0002\u0002\u0002\u0125\u0123\u0003\u0002\u0002\u0002\u0125\u0126\u0003\u0002\u0002\u0002\u0126\u0128\u0003\u0002\u0002\u0002\u0127\u0125\u0003\u0002\u0002\u0002\u0128\u012a\u0007\u0012\u0002\u0002\u0129\u0114\u0003\u0002\u0002\u0002\u0129\u011b\u0003\u0002\u0002\u0002\u012a\u012c\u0003\u0002\u0002\u0002\u012b\'\u0003\u0002\u0002\u0002\u012b3\u0003\u0002\u0002\u0002\u012b@\u0003\u0002\u0002\u0002\u012bU\u0003\u0002\u0002\u0002\u012bs\u0003\u0002\u0002\u0002\u012b\u0081\u0003\u0002\u0002\u0002\u012b\u008a\u0003\u0002\u0002\u0002\u012b\u0093\u0003\u0002\u0002\u0002\u012b\u00c8\u0003\u0002\u0002\u0002\u012b\u00ec\u0003\u0002\u0002\u0002\u012b\u0110\u0003\u0002\u0002\u0002\u012c\u0005\u0003\u0002\u0002\u0002\u012d\u012e\u0005\f\u0007\u0002\u012e\u012f\u0007\u0018\u0002\u0002\u012f\u0130\u0005\f\u0007\u0002\u0130\u013d\u0003\u0002\u0002\u0002\u0131\u0132\u0007>\u0002\u0002\u0132\u0133\u0007\u0004\u0002\u0002\u0133\u0134\u0005\f\u0007\u0002\u0134\u0135\u0007\u000b\u0002\u0002\u0135\u0138\u0005\f\u0007\u0002\u0136\u0137\u0007\u000b\u0002\u0002\u0137\u0139\u0005\f\u0007\u0002\u0138\u0136\u0003\u0002\u0002\u0002\u0138\u0139\u0003\u0002\u0002\u0002\u0139\u013a\u0003\u0002\u0002\u0002\u013a\u013b\u0007\u0005\u0002\u0002\u013b\u013d\u0003\u0002\u0002\u0002\u013c\u012d\u0003\u0002\u0002\u0002\u013c\u0131\u0003\u0002\u0002\u0002\u013d\u0007\u0003\u0002\u0002\u0002\u013e\u013f\u0007>\u0002\u0002\u013f\u0140\t\u0002\u0002\u0002\u0140\u0141\u0007\u0019\u0002\u0002\u0141\u014a\u0007\u0004\u0002\u0002\u0142\u0147\u0005\u0010\t\u0002\u0143\u0144\u0007\u000b\u0002\u0002\u0144\u0146\u0005\u0010\t\u0002\u0145\u0143\u0003\u0002\u0002\u0002\u0146\u0149\u0003\u0002\u0002\u0002\u0147\u0145\u0003\u0002\u0002\u0002\u0147\u0148\u0003\u0002\u0002\u0002\u0148\u014b\u0003\u0002\u0002\u0002\u0149\u0147\u0003\u0002\u0002\u0002\u014a\u0142\u0003\u0002\u0002\u0002\u014a\u014b\u0003\u0002\u0002\u0002\u014b\u014c\u0003\u0002\u0002\u0002\u014c\u015a\u0007\u0005\u0002\u0002\u014d\u014e\u0007\u001a\u0002\u0002\u014e\u0157\u0007\u0004\u0002\u0002\u014f\u0154\u0005\u000e\b\u0002\u0150\u0151\u0007\u000b\u0002\u0002\u0151\u0153\u0005\u000e\b\u0002\u0152\u0150\u0003\u0002\u0002\u0002\u0153\u0156\u0003\u0002\u0002\u0002\u0154\u0152\u0003\u0002\u0002\u0002\u0154\u0155\u0003\u0002\u0002\u0002\u0155\u0158\u0003\u0002\u0002\u0002\u0156\u0154\u0003\u0002\u0002\u0002\u0157\u014f\u0003\u0002\u0002\u0002\u0157\u0158\u0003\u0002\u0002\u0002\u0158\u0159\u0003\u0002\u0002\u0002\u0159\u015b\u0007\u0005\u0002\u0002\u015a\u014d\u0003\u0002\u0002\u0002\u015a\u015b\u0003\u0002\u0002\u0002\u015b\u015c\u0003\u0002\u0002\u0002\u015c\u0166\u0007\u0011\u0002\u0002\u015d\u0161\u0005\u0004\u0003\u0002\u015e\u0160\u0007\u0007\u0002\u0002\u015f\u015e\u0003\u0002\u0002\u0002\u0160\u0163\u0003\u0002\u0002\u0002\u0161\u015f\u0003\u0002\u0002\u0002\u0161\u0162\u0003\u0002\u0002\u0002\u0162\u0165\u0003\u0002\u0002\u0002\u0163\u0161\u0003\u0002\u0002\u0002\u0164\u015d\u0003\u0002\u0002\u0002\u0165\u0168\u0003\u0002\u0002\u0002\u0166\u0164\u0003\u0002\u0002\u0002\u0166\u0167\u0003\u0002\u0002\u0002\u0167\u0169\u0003\u0002\u0002\u0002\u0168\u0166\u0003\u0002\u0002\u0002\u0169\u016d\u0007\u0012\u0002\u0002\u016a\u016c\u0007\u0007\u0002\u0002\u016b\u016a\u0003\u0002\u0002\u0002\u016c\u016f\u0003\u0002\u0002\u0002\u016d\u016b\u0003\u0002\u0002\u0002\u016d\u016e\u0003\u0002\u0002\u0002\u016e\u01a3\u0003\u0002\u0002\u0002\u016f\u016d\u0003\u0002\u0002\u0002\u0170\u0171\u0007>\u0002\u0002\u0171\u0172\t\u0002\u0002\u0002\u0172\u0173\u0007\u001b\u0002\u0002\u0173\u017c\u0007\u0004\u0002\u0002\u0174\u0179\u0005\u000e\b\u0002\u0175\u0176\u0007\u000b\u0002\u0002\u0176\u0178\u0005\u000e\b\u0002\u0177\u0175\u0003\u0002\u0002\u0002\u0178\u017b\u0003\u0002\u0002\u0002\u0179\u0177\u0003\u0002\u0002\u0002\u0179\u017a\u0003\u0002\u0002\u0002\u017a\u017d\u0003\u0002\u0002\u0002\u017b\u0179\u0003\u0002\u0002\u0002\u017c\u0174\u0003\u0002\u0002\u0002\u017c\u017d\u0003\u0002\u0002\u0002\u017d\u017e\u0003\u0002\u0002\u0002\u017e\u018c\u0007\u0005\u0002\u0002\u017f\u0180\u0007\u001a\u0002\u0002\u0180\u0189\u0007\u0004\u0002\u0002\u0181\u0186\u0005\u000e\b\u0002\u0182\u0183\u0007\u000b\u0002\u0002\u0183\u0185\u0005\u000e\b\u0002\u0184\u0182\u0003\u0002\u0002\u0002\u0185\u0188\u0003\u0002\u0002\u0002\u0186\u0184\u0003\u0002\u0002\u0002\u0186\u0187\u0003\u0002\u0002\u0002\u0187\u018a\u0003\u0002\u0002\u0002\u0188\u0186\u0003\u0002\u0002\u0002\u0189\u0181\u0003\u0002\u0002\u0002\u0189\u018a\u0003\u0002\u0002\u0002\u018a\u018b\u0003\u0002\u0002\u0002\u018b\u018d\u0007\u0005\u0002\u0002\u018c\u017f\u0003\u0002\u0002\u0002\u018c\u018d\u0003\u0002\u0002\u0002\u018d\u018e\u0003\u0002\u0002\u0002\u018e\u018f\u0007\u001c\u0002\u0002\u018f\u0190\u0007\u0015\u0002\u0002\u0190\u0199\u0007\u0004\u0002\u0002\u0191\u0196\u0005\u0016\f\u0002\u0192\u0193\u0007\u000b\u0002\u0002\u0193\u0195\u0005\u0016\f\u0002\u0194\u0192\u0003\u0002\u0002\u0002\u0195\u0198\u0003\u0002\u0002\u0002\u0196\u0194\u0003\u0002\u0002\u0002\u0196\u0197\u0003\u0002\u0002\u0002\u0197\u019a\u0003\u0002\u0002\u0002\u0198\u0196\u0003\u0002\u0002\u0002\u0199\u0191\u0003\u0002\u0002\u0002\u0199\u019a\u0003\u0002\u0002\u0002\u019a\u019b\u0003\u0002\u0002\u0002\u019b\u019f\u0007\u0005\u0002\u0002\u019c\u019e\u0007\u0007\u0002\u0002\u019d\u019c\u0003\u0002\u0002\u0002\u019e\u01a1\u0003\u0002\u0002\u0002\u019f\u019d\u0003\u0002\u0002\u0002\u019f\u01a0\u0003\u0002\u0002\u0002\u01a0\u01a3\u0003\u0002\u0002\u0002\u01a1\u019f\u0003\u0002\u0002\u0002\u01a2\u013e\u0003\u0002\u0002\u0002\u01a2\u0170\u0003\u0002\u0002\u0002\u01a3\t\u0003\u0002\u0002\u0002\u01a4\u01a5\u0007>\u0002\u0002\u01a5\u01ab\u0007\f\u0002\u0002\u01a6\u01a9\u0005\f\u0007\u0002\u01a7\u01a8\u0007\u0018\u0002\u0002\u01a8\u01aa\u0005\f\u0007\u0002\u01a9\u01a7\u0003\u0002\u0002\u0002\u01a9\u01aa\u0003\u0002\u0002\u0002\u01aa\u01ac\u0003\u0002\u0002\u0002\u01ab\u01a6\u0003\u0002\u0002\u0002\u01ab\u01ac\u0003\u0002\u0002\u0002\u01ac\u01b5\u0003\u0002\u0002\u0002\u01ad\u01b3\u0007\u000b\u0002\u0002\u01ae\u01b1\u0005\f\u0007\u0002\u01af\u01b0\u0007\u0018\u0002\u0002\u01b0\u01b2\u0005\f\u0007\u0002\u01b1\u01af\u0003\u0002\u0002\u0002\u01b1\u01b2\u0003\u0002\u0002\u0002\u01b2\u01b4\u0003\u0002\u0002\u0002\u01b3\u01ae\u0003\u0002\u0002\u0002\u01b3\u01b4\u0003\u0002\u0002\u0002\u01b4\u01b6\u0003\u0002\u0002\u0002\u01b5\u01ad\u0003\u0002\u0002\u0002\u01b5\u01b6\u0003\u0002\u0002\u0002\u01b6\u01b7\u0003\u0002\u0002\u0002\u01b7\u01bc\u0007\r\u0002\u0002\u01b8\u01bc\u0007>\u0002\u0002\u01b9\u01bc\u0007C\u0002\u0002\u01ba\u01bc\u0007D\u0002\u0002\u01bb\u01a4\u0003\u0002\u0002\u0002\u01bb\u01b8\u0003\u0002\u0002\u0002\u01bb\u01b9\u0003\u0002\u0002\u0002\u01bb\u01ba\u0003\u0002\u0002\u0002\u01bc\u000b\u0003\u0002\u0002\u0002\u01bd\u01be\b\u0007\u0001\u0002\u01be\u01bf\t\u0003\u0002\u0002\u01bf\u01eb\u0005\f\u0007\u0014\u01c0\u01c1\u0007+\u0002\u0002\u01c1\u01eb\u0005\f\u0007\u000e\u01c2\u01c3\u0007>\u0002\u0002\u01c3\u01cc\u0007\u0004\u0002\u0002\u01c4\u01c9\u0005\u0012\n\u0002\u01c5\u01c6\u0007\u000b\u0002\u0002\u01c6\u01c8\u0005\u0012\n\u0002\u01c7\u01c5\u0003\u0002\u0002\u0002\u01c8\u01cb\u0003\u0002\u0002\u0002\u01c9\u01c7\u0003\u0002\u0002\u0002\u01c9\u01ca\u0003\u0002\u0002\u0002\u01ca\u01cd\u0003\u0002\u0002\u0002\u01cb\u01c9\u0003\u0002\u0002\u0002\u01cc\u01c4\u0003\u0002\u0002\u0002\u01cc\u01cd\u0003\u0002\u0002\u0002\u01cd\u01ce\u0003\u0002\u0002\u0002\u01ce\u01d2\u0007\u0005\u0002\u0002\u01cf\u01d1\u0007\u0007\u0002\u0002\u01d0\u01cf\u0003\u0002\u0002\u0002\u01d1\u01d4\u0003\u0002\u0002\u0002\u01d2\u01d0\u0003\u0002\u0002\u0002\u01d2\u01d3\u0003\u0002\u0002\u0002\u01d3\u01eb\u0003\u0002\u0002\u0002\u01d4\u01d2\u0003\u0002\u0002\u0002\u01d5\u01d6\u0007\u0004\u0002\u0002\u01d6\u01d7\u0005\f\u0007\u0002\u01d7\u01d8\u0007\u0005\u0002\u0002\u01d8\u01eb\u0003\u0002\u0002\u0002\u01d9\u01da\u0007\f\u0002\u0002\u01da\u01df\u0005\f\u0007\u0002\u01db\u01dc\u0007\u000b\u0002\u0002\u01dc\u01de\u0005\f\u0007\u0002\u01dd\u01db\u0003\u0002\u0002\u0002\u01de\u01e1\u0003\u0002\u0002\u0002\u01df\u01dd\u0003\u0002\u0002\u0002\u01df\u01e0\u0003\u0002\u0002\u0002\u01e0\u01e2\u0003\u0002\u0002\u0002\u01e1\u01df\u0003\u0002\u0002\u0002\u01e2\u01e3\u0007\r\u0002\u0002\u01e3\u01eb\u0003\u0002\u0002\u0002\u01e4\u01eb\u00070\u0002\u0002\u01e5\u01eb\u00071\u0002\u0002\u01e6\u01eb\u0007?\u0002\u0002\u01e7\u01eb\u0007@\u0002\u0002\u01e8\u01eb\u0007E\u0002\u0002\u01e9\u01eb\u0005\n\u0006\u0002\u01ea\u01bd\u0003\u0002\u0002\u0002\u01ea\u01c0\u0003\u0002\u0002\u0002\u01ea\u01c2\u0003\u0002\u0002\u0002\u01ea\u01d5\u0003\u0002\u0002\u0002\u01ea\u01d9\u0003\u0002\u0002\u0002\u01ea\u01e4\u0003\u0002\u0002\u0002\u01ea\u01e5\u0003\u0002\u0002\u0002\u01ea\u01e6\u0003\u0002\u0002\u0002\u01ea\u01e7\u0003\u0002\u0002\u0002\u01ea\u01e8\u0003\u0002\u0002\u0002\u01ea\u01e9\u0003\u0002\u0002\u0002\u01eb\u0206\u0003\u0002\u0002\u0002\u01ec\u01ed\f\u0015\u0002\u0002\u01ed\u01ee\u0007\u001d\u0002\u0002\u01ee\u0205\u0005\f\u0007\u0015\u01ef\u01f0\f\u0013\u0002\u0002\u01f0\u01f1\u0007 \u0002\u0002\u01f1\u0205\u0005\f\u0007\u0014\u01f2\u01f3\f\u0012\u0002\u0002\u01f3\u01f4\t\u0004\u0002\u0002\u01f4\u0205\u0005\f\u0007\u0013\u01f5\u01f6\f\u0011\u0002\u0002\u01f6\u01f7\t\u0005\u0002\u0002\u01f7\u0205\u0005\f\u0007\u0012\u01f8\u01f9\f\u0010\u0002\u0002\u01f9\u01fa\t\u0003\u0002\u0002\u01fa\u0205\u0005\f\u0007\u0011\u01fb\u01fc\f\u000f\u0002\u0002\u01fc\u01fd\t\u0006\u0002\u0002\u01fd\u0205\u0005\f\u0007\u0010\u01fe\u01ff\f\r\u0002\u0002\u01ff\u0200\t\u0007\u0002\u0002\u0200\u0205\u0005\f\u0007\u000e\u0201\u0202\f\f\u0002\u0002\u0202\u0203\t\b\u0002\u0002\u0203\u0205\u0005\f\u0007\r\u0204\u01ec\u0003\u0002\u0002\u0002\u0204\u01ef\u0003\u0002\u0002\u0002\u0204\u01f2\u0003\u0002\u0002\u0002\u0204\u01f5\u0003\u0002\u0002\u0002\u0204\u01f8\u0003\u0002\u0002\u0002\u0204\u01fb\u0003\u0002\u0002\u0002\u0204\u01fe\u0003\u0002\u0002\u0002\u0204\u0201\u0003\u0002\u0002\u0002\u0205\u0208\u0003\u0002\u0002\u0002\u0206\u0204\u0003\u0002\u0002\u0002\u0206\u0207\u0003\u0002\u0002\u0002\u0207\r\u0003\u0002\u0002\u0002\u0208\u0206\u0003\u0002\u0002\u0002\u0209\u020a\u0005\u0018\r\u0002\u020a\u020b\u0007>\u0002\u0002\u020b\u000f\u0003\u0002\u0002\u0002\u020c\u0213\u0005\u0018\r\u0002\u020d\u0214\u0007>\u0002\u0002\u020e\u020f\u0007>\u0002\u0002\u020f\u0211\u0007\t\u0002\u0002\u0210\u020e\u0003\u0002\u0002\u0002\u0210\u0211\u0003\u0002\u0002\u0002\u0211\u0212\u0003\u0002\u0002\u0002\u0212\u0214\u0005\f\u0007\u0002\u0213\u020d\u0003\u0002\u0002\u0002\u0213\u0210\u0003\u0002\u0002\u0002\u0214\u0011\u0003\u0002\u0002\u0002\u0215\u0216\u0007>\u0002\u0002\u0216\u0218\u0007\t\u0002\u0002\u0217\u0215\u0003\u0002\u0002\u0002\u0217\u0218\u0003\u0002\u0002\u0002\u0218\u0219\u0003\u0002\u0002\u0002\u0219\u021a\u0005\f\u0007\u0002\u021a\u0013\u0003\u0002\u0002\u0002\u021b\u021c\u0007>\u0002\u0002\u021c\u021d\u0007\t\u0002\u0002\u021d\u021e\u0005\f\u0007\u0002\u021e\u0015\u0003\u0002\u0002\u0002\u021f\u0220\u0007>\u0002\u0002\u0220\u0221\u0007\t\u0002\u0002\u0221\u0222\u0007E\u0002\u0002\u0222\u0017\u0003\u0002\u0002\u0002\u0223\u022a\u0005\u001a\u000e\u0002\u0224\u0225\u0005\u001c\u000f\u0002\u0225\u0226\u0007\f\u0002\u0002\u0226\u0227\u0005\u001a\u000e\u0002\u0227\u0228\u0007\r\u0002\u0002\u0228\u022a\u0003\u0002\u0002\u0002\u0229\u0223\u0003\u0002\u0002\u0002\u0229\u0224\u0003\u0002\u0002\u0002\u022a\u0019\u0003\u0002\u0002\u0002\u022b\u022c\t\t\u0002\u0002\u022c\u001b\u0003\u0002\u0002\u0002\u022d\u022e\u0007>\u0002\u0002\u022e\u001d\u0003\u0002\u0002\u0002M \"0:@ILR[gjp~\u0087\u0090\u009b\u00a3\u00a8\u00ac\u00b3\u00bb\u00c0\u00c4\u00c6\u00d1\u00d9\u00e1\u00e6\u00ea\u00f5\u00fd\u0105\u010a\u010e\u0118\u0120\u0125\u0129\u012b\u0138\u013c\u0147\u014a\u0154\u0157\u015a\u0161\u0166\u016d\u0179\u017c\u0186\u0189\u018c\u0196\u0199\u019f\u01a2\u01a9\u01ab\u01b1\u01b3\u01b5\u01bb\u01c9\u01cc\u01d2\u01df\u01ea\u0204\u0206\u0210\u0213\u0217\u0229"`
`public static final int`
`ALPHABET`
`64`
`public static final int`
`COMMANDLINE_NAMED_ID`
`65`
`public static final int`
`COMMANDLINE_POSITION_ID`
`66`
`public static final int`
`DIGIT`
`63`
`public static final int`
`DOUBLE`
`62`
`public static final int`
`ID`
`60`
`public static final int`
`INT`
`61`
`public static final int`
`LINE_COMMENT`
`68`
`public static final int`
`MULTILINE_BLOCK_COMMENT`
`69`
`public static final int`
`RULE_dataIdentifier`
`4`
`public static final int`
`RULE_dataType`
`13`
`public static final int`
`RULE_expression`
`5`
`public static final int`
`RULE_functionStatement`
`3`
`public static final int`
`RULE_iterablePredicate`
`2`
`public static final int`
`RULE_ml_type`
`11`
`public static final int`
`RULE_parameterizedExpression`
`8`
`public static final int`
`RULE_programroot`
`0`
`public static final int`
`RULE_statement`
`1`
`public static final int`
`RULE_strictParameterizedExpression`
`9`
`public static final int`
`RULE_strictParameterizedKeyValueString`
`10`
`public static final int`
`RULE_typedArgAssign`
`7`
`public static final int`
`RULE_typedArgNoAssign`
`6`
`public static final int`
`RULE_valueType`
`12`
`public static final int`
`STRING`
`67`
`public static final int`
`T__0`
`1`
`public static final int`
`T__1`
`2`
`public static final int`
`T__10`
`11`
`public static final int`
`T__11`
`12`
`public static final int`
`T__12`
`13`
`public static final int`
`T__13`
`14`
`public static final int`
`T__14`
`15`
`public static final int`
`T__15`
`16`
`public static final int`
`T__16`
`17`
`public static final int`
`T__17`
`18`
`public static final int`
`T__18`
`19`
`public static final int`
`T__19`
`20`
`public static final int`
`T__2`
`3`
`public static final int`
`T__20`
`21`
`public static final int`
`T__21`
`22`
`public static final int`
`T__22`
`23`
`public static final int`
`T__23`
`24`
`public static final int`
`T__24`
`25`
`public static final int`
`T__25`
`26`
`public static final int`
`T__26`
`27`
`public static final int`
`T__27`
`28`
`public static final int`
`T__28`
`29`
`public static final int`
`T__29`
`30`
`public static final int`
`T__3`
`4`
`public static final int`
`T__30`
`31`
`public static final int`
`T__31`
`32`
`public static final int`
`T__32`
`33`
`public static final int`
`T__33`
`34`
`public static final int`
`T__34`
`35`
`public static final int`
`T__35`
`36`
`public static final int`
`T__36`
`37`
`public static final int`
`T__37`
`38`
`public static final int`
`T__38`
`39`
`public static final int`
`T__39`
`40`
`public static final int`
`T__4`
`5`
`public static final int`
`T__40`
`41`
`public static final int`
`T__41`
`42`
`public static final int`
`T__42`
`43`
`public static final int`
`T__43`
`44`
`public static final int`
`T__44`
`45`
`public static final int`
`T__45`
`46`
`public static final int`
`T__46`
`47`
`public static final int`
`T__47`
`48`
`public static final int`
`T__48`
`49`
`public static final int`
`T__49`
`50`
`public static final int`
`T__5`
`6`
`public static final int`
`T__50`
`51`
`public static final int`
`T__51`
`52`
`public static final int`
`T__52`
`53`
`public static final int`
`T__53`
`54`
`public static final int`
`T__54`
`55`
`public static final int`
`T__55`
`56`
`public static final int`
`T__56`
`57`
`public static final int`
`T__57`
`58`
`public static final int`
`T__58`
`59`
`public static final int`
`T__6`
`7`
`public static final int`
`T__7`
`8`
`public static final int`
`T__8`
`9`
`public static final int`
`T__9`
`10`
`public static final int`
`WHITESPACE`
`70`

org.apache.sysds.resource.CloudUtils
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_CLUSTER_LAUNCH_TIME`
`300.0`
`public static final int`
`EBS_DEFAULT_ROOT_SIZE_EC2`
`8`
`public static final int`
`EBS_DEFAULT_ROOT_SIZE_EMR`
`15`
`public static final String`
`EC2_REGEX`
`"^([a-z]+)([0-9])(a|g|i?)([bdnez]*)\\.([a-z0-9]+)$"`
`public static final double`
`JVM_MEMORY_FACTOR`
`0.9`
`public static final double`
`MINIMAL_EXECUTION_TIME`
`300.0`
`public static final String`
`SPARK_VERSION`
`"3.3.0"`
org.apache.sysds.resource.ResourceCompiler
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_DRIVER_MEMORY`
`536870912L`
`public static final int`
`DEFAULT_DRIVER_THREADS`
`1`
`public static final long`
`DEFAULT_EXECUTOR_MEMORY`
`536870912L`
`public static final int`
`DEFAULT_EXECUTOR_THREADS`
`2`
`public static final int`
`DEFAULT_NUMBER_EXECUTORS`
`2`

org.apache.sysds.resource.cost.IOCostUtils
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_FLOPS`
`2147483648L`
org.apache.sysds.resource.cost.IOCostUtils.IOMetrics
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_MBS_DISK_BANDWIDTH`
`600.0`
`public static final double`
`DEFAULT_MBS_HDFS_READ_BINARY_DENSE`
`150.0`
`public static final double`
`DEFAULT_MBS_HDFS_READ_BINARY_SPARSE`
`75.0`
`public static final double`
`DEFAULT_MBS_HDFS_READ_TEXT_DENSE`
`75.0`
`public static final double`
`DEFAULT_MBS_HDFS_READ_TEXT_SPARSE`
`50.0`
`public static final double`
`DEFAULT_MBS_HDFS_WRITE_BINARY_DENSE`
`120.0`
`public static final double`
`DEFAULT_MBS_HDFS_WRITE_BINARY_SPARSE`
`60.0`
`public static final double`
`DEFAULT_MBS_HDFS_WRITE_TEXT_DENSE`
`40.0`
`public static final double`
`DEFAULT_MBS_HDFS_WRITE_TEXT_SPARSE`
`30.0`
`public static final double`
`DEFAULT_MBS_MEMORY_BANDWIDTH`
`21328.0`
`public static final double`
`DEFAULT_MBS_NETWORK_BANDWIDTH`
`640.0`
`public static final int`
`DEFAULT_NUM_CPU_CORES`
`8`

org.apache.sysds.resource.enumeration.Enumerator
Modifier and Type
Constant Field
Value
`public static final double`
`COST_DELTA_FRACTION`
`0.02`
`public static final int`
`DEFAULT_MAX_EXECUTORS`
`200`
`public static final int`
`DEFAULT_MIN_EXECUTORS`
`0`
org.apache.sysds.resource.enumeration.InterestBasedEnumerator
Modifier and Type
Constant Field
Value
`public static final double`
`BROADCAST_MEMORY_FACTOR`
`0.126`
`public static final double`
`CACHE_MEMORY_FACTOR`
`0.18`
`public static final double`
`MEMORY_DELTA_FRACTION`
`0.1`
`public static final long`
`MINIMUM_RELEVANT_MEM_ESTIMATE`
`2147483648L`
`public static final boolean`
`USE_MEMORY_DELTA`
`true`

org.apache.sysds.runtime.codegen.SpoofCUDAOperator
Modifier and Type
Constant Field
Value
`public static final int`
`JNI_MAT_ENTRY_SIZE`
`40`
`public static final int`
`TRANSFERRED_DATA_HEADER_SIZE`
`32`

org.apache.sysds.runtime.compress.CompressionSettings
Modifier and Type
Constant Field
Value
`public static final int`
`BITMAP_BLOCK_SZ`
`65535`

org.apache.sysds.runtime.compress.colgroup.mapping.MapToCharPByte
Modifier and Type
Constant Field
Value
`public static final int`
`max`
`8388607`

org.apache.sysds.runtime.compress.estim.sample.HassAndStokes
Modifier and Type
Constant Field
Value
`public static final double`
`HAAS_AND_STOKES_ALPHA1`
`0.9`
`public static final double`
`HAAS_AND_STOKES_ALPHA2`
`30.0`
`public static final int`
`HAAS_AND_STOKES_UJ2A_C`
`50`
`public static final boolean`
`HAAS_AND_STOKES_UJ2A_CUT2`
`true`
`public static final boolean`
`HAAS_AND_STOKES_UJ2A_SOLVE`
`true`
`public static final int`
`MAX_SOLVE_CACHE_SIZE`
`65536`
org.apache.sysds.runtime.compress.estim.sample.ShlosserJackknifeEstimator
Modifier and Type
Constant Field
Value
`public static final double`
`SHLOSSER_JACKKNIFE_ALPHA`
`0.975`

org.apache.sysds.runtime.compress.lib.CLALibBinaryCellOp
Modifier and Type
Constant Field
Value
`public static final int`
`DECOMPRESSION_BLEN`
`8192`

org.apache.sysds.runtime.controlprogram.ParForProgramBlock
Modifier and Type
Constant Field
Value
`public static final boolean`
`ALLOW_NESTED_PARALLELISM`
`true`
`public static final boolean`
`CONVERT_NESTED_REMOTE_PARFOR`
`true`
`public static final boolean`
`COPY_EVAL_FUNCTIONS`
`true`
`public static final boolean`
`CREATE_UNSCOPED_RESULTVARS`
`true`
`public static final boolean`
`FORCE_CP_ON_REMOTE_SPARK`
`true`
`public static final boolean`
`LIVEVAR_AWARE_EXPORT`
`true`
`public static final boolean`
`OPTIMIZE`
`true`
`public static final String`
`PARFOR_COUNTER_GROUP_NAME`
`"SystemDS ParFOR Counters"`
`public static final String`
`PARFOR_DATAPARTITIONS_FNAME`
`"/parfor/%ID%_datapartitions%VAR%"`
`public static final String`
`PARFOR_FNAME_PREFIX`
`"/parfor/"`
`public static final String`
`PARFOR_MR_RESULT_TMP_FNAME`
`"/parfor/%ID%_MR_results"`
`public static final String`
`PARFOR_MR_RESULTMERGE_FNAME`
`"/parfor/%ID%_resultmerge%VAR%"`
`public static final String`
`PARFOR_MR_TASKS_TMP_FNAME`
`"/parfor/%ID%_MR_taskfile"`
`public static final boolean`
`RESET_RECOMPILATION_FLAGs`
`true`
`public static final boolean`
`USE_PARALLEL_RESULT_MERGE`
`false`
`public static final boolean`
`USE_PARALLEL_RESULT_MERGE_REMOTE`
`true`
`public static final boolean`
`USE_PB_CACHE`
`false`
`public static final boolean`
`USE_RANGE_TASKS_IF_USEFUL`
`true`
`public static final boolean`
`USE_STREAMING_TASK_CREATION`
`true`
`public static final int`
`WRITE_REPLICATION_FACTOR`
`1`
org.apache.sysds.runtime.controlprogram.Program
Modifier and Type
Constant Field
Value
`public static final String`
`KEY_DELIM`
`"::"`
org.apache.sysds.runtime.controlprogram.ProgramBlock
Modifier and Type
Constant Field
Value
`public static final String`
`PRED_VAR`
`"__pred"`

org.apache.sysds.runtime.controlprogram.caching.CacheableData<T extends CacheBlock<?>>
Modifier and Type
Constant Field
Value
`public static final boolean`
`CACHING_ASYNC_FILECLEANUP`
`true`
`public static final String`
`CACHING_COUNTER_GROUP_NAME`
`"SystemDS Caching Counters"`
`public static final String`
`CACHING_EVICTION_FILEEXTENSION`
`".dat"`

org.apache.sysds.runtime.controlprogram.context.SparkExecutionContext
Modifier and Type
Constant Field
Value
`public static final boolean`
`FAIR_SCHEDULER_MODE`
`true`
org.apache.sysds.runtime.controlprogram.context.SparkExecutionContext.SparkClusterConfig
Modifier and Type
Constant Field
Value
`public static final long`
`RESERVED_SYSTEM_MEMORY_BYTES`
`314572800L`

org.apache.sysds.runtime.controlprogram.federated.FederatedLookupTable
Modifier and Type
Constant Field
Value
`public static final String`
`NOHOST`
`"nohost"`

org.apache.sysds.runtime.controlprogram.federated.monitoring.controllers.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`GENERIC_SUCCESS_MSG`
`"{\"message\": \"Success\"}"`
`public static final String`
`ID_JSON_MSG`
`"{\"id\": %d}"`
`public static final String`
`NOT_FOUND_MSG`
`"{\"message\": \"Entity not found\"}"`

org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories.Constants
Modifier and Type
Constant Field
Value
`public static final String`
`ENTITY_ADDRESS_COL`
`"address"`
`public static final String`
`ENTITY_CLASS_SUFFIX`
`"Model"`
`public static final String`
`ENTITY_DOUBLE_COL`
`"DOUBLE"`
`public static final String`
`ENTITY_EVENT_ID_COL`
`"eventId"`
`public static final String`
`ENTITY_ID_COL`
`"id"`
`public static final String`
`ENTITY_MONITORING_KEY_COL`
`"monitoringHostIdKey"`
`public static final String`
`ENTITY_NAME_COL`
`"name"`
`public static final String`
`ENTITY_NUMBER_COL`
`"INTEGER"`
`public static final String`
`ENTITY_STRING_COL`
`"VARCHAR(5000)"`
`public static final String`
`ENTITY_TIMESTAMP_COL`
`"TIMESTAMP"`
`public static final String`
`ENTITY_WORKER_ID_COL`
`"workerId"`

org.apache.sysds.runtime.controlprogram.paramserv.ParamservUtils
Modifier and Type
Constant Field
Value
`public static final String`
`PS_FUNC_PREFIX`
`"_ps_"`

org.apache.sysds.runtime.controlprogram.paramserv.rpc.PSRpcObject
Modifier and Type
Constant Field
Value
`public static final int`
`PULL`
`2`
`public static final int`
`PUSH`
`1`

org.apache.sysds.runtime.controlprogram.parfor.LocalTaskQueue<T>
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_SIZE`
`100000`
org.apache.sysds.runtime.controlprogram.parfor.ResultMergeLocalFile
Modifier and Type
Constant Field
Value
`public static final boolean`
`ALLOW_COPY_CELLFILES`
`false`
org.apache.sysds.runtime.controlprogram.parfor.Task
Modifier and Type
Constant Field
Value
`public static final int`
`MAX_TASK_SIZE`
`2147483646`
`public static final int`
`MAX_VARNAME_SIZE`
`256`

org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimator
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_EST_PARALLELISM`
`1.0`
`public static final double`
`DEFAULT_MEM_ESTIMATE_CP`
`1024.0`
`public static final double`
`DEFAULT_MEM_ESTIMATE_SP`
`2.097152E7`
`public static final double`
`DEFAULT_TIME_ESTIMATE`
`5.0`
`public static final long`
`FACTOR_NUM_ITERATIONS`
`10L`
org.apache.sysds.runtime.controlprogram.parfor.opt.CostEstimatorHops
Modifier and Type
Constant Field
Value
`public static final double`
`DEFAULT_MEM_SP`
`2.097152E7`
org.apache.sysds.runtime.controlprogram.parfor.opt.OptimizationWrapper
Modifier and Type
Constant Field
Value
`public static final double`
`PAR_FACTOR_INFRASTRUCTURE`
`1.0`
org.apache.sysds.runtime.controlprogram.parfor.opt.OptimizerHeuristic
Modifier and Type
Constant Field
Value
`public static final double`
`EXEC_TIME_THRESHOLD`
`30000.0`
org.apache.sysds.runtime.controlprogram.parfor.opt.OptimizerRuleBased
Modifier and Type
Constant Field
Value
`public static final boolean`
`ALLOW_REMOTE_NESTED_PARALLELISM`
`false`
`public static final String`
`FUNCTION_UNFOLD_NAMEPREFIX`
`"__unfold_"`
`public static final int`
`MAX_REPLICATION_FACTOR_EXPORT`
`7`
`public static final int`
`MAX_REPLICATION_FACTOR_PARTITIONING`
`5`
`public static final double`
`PAR_K_FACTOR`
`1.0`
`public static final double`
`PAR_K_MR_FACTOR`
`1.0`
`public static final double`
`PROB_SIZE_THRESHOLD_MB`
`2.68435456E8`
`public static final double`
`PROB_SIZE_THRESHOLD_PARTITIONING`
`2.0`
`public static final double`
`PROB_SIZE_THRESHOLD_REMOTE`
`100.0`

org.apache.sysds.runtime.data.BasicTensorBlock
Modifier and Type
Constant Field
Value
`public static final double`
`SPARSITY_TURN_POINT`
`0.4`
org.apache.sysds.runtime.data.SparseRowVector
Modifier and Type
Constant Field
Value
`public static final int`
`initialCapacity`
`4`

org.apache.sysds.runtime.frame.data.FrameBlock
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`1000000`

org.apache.sysds.runtime.frame.data.columns.ArrayFactory
Modifier and Type
Constant Field
Value
`public static final int`
`bitSetSwitchPoint`
`64`

org.apache.sysds.runtime.frame.data.lib.FrameUtil
Modifier and Type
Constant Field
Value
`public static final String`
`SCHEMA_SEPARATOR`
`"\u00b7"`
org.apache.sysds.runtime.frame.data.lib.MatrixBlockFromFrame
Modifier and Type
Constant Field
Value
`public static final int`
`blocksizeIJ`
`32`

org.apache.sysds.runtime.instructions.Instruction
Modifier and Type
Constant Field
Value
`public static final String`
`DATATYPE_PREFIX`
`"\u00b7"`
`public static final String`
`FEDERATED_INST_PREFIX`
`"fed_"`
`public static final String`
`GPU_INST_PREFIX`
`"gpu_"`
`public static final String`
`INSTRUCTION_DELIM`
`"\u2021"`
`public static final String`
`LITERAL_PREFIX`
`"\u00b7"`
`public static final String`
`OOC_INST_PREFIX`
`"ooc_"`
`public static final String`
`OPERAND_DELIM`
`"\u00b0"`
`public static final String`
`SP_INST_PREFIX`
`"sp_"`
`public static final String`
`VALUETYPE_PREFIX`
`"\u00b7"`

org.apache.sysds.runtime.instructions.cp.EinsumCPInstruction
Modifier and Type
Constant Field
Value
`public static final boolean`
`FORCE_CELL_TPL`
`false`
`public static final boolean`
`FUSE_OUTER_MULTIPLY`
`true`
`public static final boolean`
`FUSE_OUTER_MULTIPLY_EXCEEDS_L2_CACHE_CHECK`
`true`
`public static final boolean`
`PRINT_TRACE`
`true`
org.apache.sysds.runtime.instructions.cp.ParamservBuiltinCPInstruction
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BATCH_SIZE`
`64`
`public static final int`
`DEFAULT_NBATCHES`
`1`
`public static final int`
`DEFAULT_NUM_BACKUP_WORKERS`
`1`
org.apache.sysds.runtime.instructions.cp.StringInitCPInstruction
Modifier and Type
Constant Field
Value
`public static final String`
`DELIM`
`" "`

org.apache.sysds.runtime.instructions.fed.InitFEDInstruction
Modifier and Type
Constant Field
Value
`public static final String`
`FED_FRAME_IDENTIFIER`
`"frame"`
`public static final String`
`FED_MATRIX_IDENTIFIER`
`"matrix"`

org.apache.sysds.runtime.instructions.gpu.GPUInstruction
Modifier and Type
Constant Field
Value
`public static final String`
`MISC_TIMER_ABS_KERNEL`
`"absk"`
`public static final String`
`MISC_TIMER_ACOS_KERNEL`
`"acosk"`
`public static final String`
`MISC_TIMER_ACTIVATION_FORWARD_LIB`
`"nnaf"`
`public static final String`
`MISC_TIMER_ALLOCATE`
`"a"`
`public static final String`
`MISC_TIMER_ALLOCATE_DENSE_OUTPUT`
`"ad"`
`public static final String`
`MISC_TIMER_ALLOCATE_SPARSE_OUTPUT`
`"as"`
`public static final String`
`MISC_TIMER_ASIN_KERNEL`
`"asink"`
`public static final String`
`MISC_TIMER_ATAN_KERNEL`
`"atank"`
`public static final String`
`MISC_TIMER_BIAS_ADD_LIB`
`"nnba"`
`public static final String`
`MISC_TIMER_CBIND_KERNEL`
`"cbindk"`
`public static final String`
`MISC_TIMER_CEIL_KERNEL`
`"ceilk"`
`public static final String`
`MISC_TIMER_COLUMN_TO_ROW_MAJOR`
`"c2r"`
`public static final String`
`MISC_TIMER_COMPARE_AND_SET_KERNEL`
`"cask"`
`public static final String`
`MISC_TIMER_CONVOLUTION_BACKWARD_DATA_LIB`
`"nncbd"`
`public static final String`
`MISC_TIMER_CONVOLUTION_BACKWARD_FILTER_LIB`
`"nncbf"`
`public static final String`
`MISC_TIMER_CONVOLUTION_FORWARD_LIB`
`"nncf"`
`public static final String`
`MISC_TIMER_COS_KERNEL`
`"cosk"`
`public static final String`
`MISC_TIMER_COSH_KERNEL`
`"coshk"`
`public static final String`
`MISC_TIMER_CUDA_FREE`
`"f"`
`public static final String`
`MISC_TIMER_CUDA_SYNC`
`"sync"`
`public static final String`
`MISC_TIMER_CUDNN_CLEANUP`
`"nnc"`
`public static final String`
`MISC_TIMER_CUDNN_INIT`
`"nni"`
`public static final String`
`MISC_TIMER_CUMULATIVE_SCAN_KERNEL`
`"cumk"`
`public static final String`
`MISC_TIMER_CUMULATIVE_SUMPROD_KERNEL`
`"cumSumProdk"`
`public static final String`
`MISC_TIMER_DAXPY_LIB`
`"daxpy"`
`public static final String`
`MISC_TIMER_DAXPY_MV_KERNEL`
`"daxpymv"`
`public static final String`
`MISC_TIMER_DENSE_DGEAM_LIB`
`"ddgeaml"`
`public static final String`
`MISC_TIMER_DENSE_DOT_LIB`
`"Mddot"`
`public static final String`
`MISC_TIMER_DENSE_IM2COL_KERNEL`
`"nndim2c"`
`public static final String`
`MISC_TIMER_DENSE_MATRIX_DENSE_MATRIX_LIB`
`"Mdmdm"`
`public static final String`
`MISC_TIMER_DENSE_MATRIX_DENSE_VECTOR_LIB`
`"Mdmdv"`
`public static final String`
`MISC_TIMER_DENSE_REORG_KNPQ_KERNEL`
`"nndrknpq"`
`public static final String`
`MISC_TIMER_DENSE_TO_SPARSE`
`"d2s"`
`public static final String`
`MISC_TIMER_DENSE_VECTOR_DENSE_MATRIX_LIB`
`"Mdvdm"`
`public static final String`
`MISC_TIMER_DEVICE_TO_DEVICE`
`"D2D"`
`public static final String`
`MISC_TIMER_DEVICE_TO_HOST`
`"D2H"`
`public static final String`
`MISC_TIMER_EVICT`
`"evict"`
`public static final String`
`MISC_TIMER_EXP_KERNEL`
`"expk"`
`public static final String`
`MISC_TIMER_FILL_KERNEL`
`"fillk"`
`public static final String`
`MISC_TIMER_FLOOR_KERNEL`
`"floork"`
`public static final String`
`MISC_TIMER_HOST_TO_DEVICE`
`"H2D"`
`public static final String`
`MISC_TIMER_LOG_KERNEL`
`"logk"`
`public static final String`
`MISC_TIMER_MATRIX_MATRIX_CELLWISE_OP_KERNEL`
`"mmck"`
`public static final String`
`MISC_TIMER_MATRIX_SCALAR_OP_KERNEL`
`"msk"`
`public static final String`
`MISC_TIMER_MAXPOOLING_BACKWARD_LIB`
`"nnmb"`
`public static final String`
`MISC_TIMER_MAXPOOLING_FORWARD_LIB`
`"nnmf"`
`public static final String`
`MISC_TIMER_OBJECT_CLONE`
`"clone"`
`public static final String`
`MISC_TIMER_ORMQR`
`"ormqr"`
`public static final String`
`MISC_TIMER_QR`
`"qr"`
`public static final String`
`MISC_TIMER_QR_BUFFER`
`"qr_buffer"`
`public static final String`
`MISC_TIMER_RBIND_KERNEL`
`"rbindk"`
`public static final String`
`MISC_TIMER_REDUCE_ALL_KERNEL`
`"rallk"`
`public static final String`
`MISC_TIMER_REDUCE_COL_KERNEL`
`"rcolk"`
`public static final String`
`MISC_TIMER_REDUCE_ROW_KERNEL`
`"rrowk"`
`public static final String`
`MISC_TIMER_RELU_BACKWARD_KERNEL`
`"nnrbk"`
`public static final String`
`MISC_TIMER_RELU_KERNEL`
`"nnrk"`
`public static final String`
`MISC_TIMER_REUSE`
`"r"`
`public static final String`
`MISC_TIMER_RIX_DENSE_OP`
`"drix"`
`public static final String`
`MISC_TIMER_RIX_SPARSE_DENSE_OP_NNZ`
`"sdrixn"`
`public static final String`
`MISC_TIMER_RIX_SPARSE_DENSE_OP_ROWWISE`
`"sdrixr"`
`public static final String`
`MISC_TIMER_ROUND_KERNEL`
`"roundk"`
`public static final String`
`MISC_TIMER_ROW_TO_COLUMN_MAJOR`
`"r2c"`
`public static final String`
`MISC_TIMER_SET_ZERO`
`"az"`
`public static final String`
`MISC_TIMER_SIGMOID_KERNEL`
`"sigmk"`
`public static final String`
`MISC_TIMER_SIGN_KERNEL`
`"signk"`
`public static final String`
`MISC_TIMER_SIN_KERNEL`
`"sink"`
`public static final String`
`MISC_TIMER_SINH_KERNEL`
`"sinhk"`
`public static final String`
`MISC_TIMER_SPARSE_ALLOCATE_LIB`
`"Msao"`
`public static final String`
`MISC_TIMER_SPARSE_DGEAM_LIB`
`"sdgeaml"`
`public static final String`
`MISC_TIMER_SPARSE_IM2COL_KERNEL`
`"nnsim2c"`
`public static final String`
`MISC_TIMER_SPARSE_MATRIX_DENSE_MATRIX_LIB`
`"Msmdm"`
`public static final String`
`MISC_TIMER_SPARSE_MATRIX_DENSE_VECTOR_LIB`
`"Msmdv"`
`public static final String`
`MISC_TIMER_SPARSE_MATRIX_SPARSE_MATRIX_LIB`
`"Msmsm"`
`public static final String`
`MISC_TIMER_SPARSE_TO_DENSE`
`"s2d"`
`public static final String`
`MISC_TIMER_SQRT_KERNEL`
`"sqrtk"`
`public static final String`
`MISC_TIMER_SYRK_LIB`
`"Msyrk"`
`public static final String`
`MISC_TIMER_TAN_KERNEL`
`"tank"`
`public static final String`
`MISC_TIMER_TANH_KERNEL`
`"tanhk"`
`public static final String`
`MISC_TIMER_TRANSPOSE_LIB`
`"dtl"`
`public static final String`
`MISC_TIMER_TRSM`
`"trsm"`
`public static final String`
`MISC_TIMER_UPPER_TO_LOWER_TRIANGLE_KERNEL`
`"u2lk"`

org.apache.sysds.runtime.instructions.ooc.OOCInstruction
Modifier and Type
Constant Field
Value
`public static final boolean`
`ALLOW_PIPELINING`
`true`
org.apache.sysds.runtime.instructions.ooc.OOCWatchdog
Modifier and Type
Constant Field
Value
`public static final boolean`
`WATCH`
`false`

org.apache.sysds.runtime.instructions.spark.RandSPInstruction
Modifier and Type
Constant Field
Value
`public static final long`
`INMEMORY_NUMBLOCKS_THRESHOLD`
`1048576L`

org.apache.sysds.runtime.instructions.spark.data.FrameReblockBuffer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`5000000`
org.apache.sysds.runtime.instructions.spark.data.ReblockBuffer
Modifier and Type
Constant Field
Value
`public static final int`
`DEFAULT_BUFFER_SIZE`
`5000000`

org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DF_ID_COLUMN`
`"__INDEX"`

org.apache.sysds.runtime.io.DeltaKernelUtils
Modifier and Type
Constant Field
Value
`public static final long`
`ADAPTIVE_WRITER_MIN_FILE_SIZE`
`4194304L`
`public static final int`
`T_BOOLEAN`
`6`
`public static final int`
`T_BYTE`
`5`
`public static final int`
`T_DOUBLE`
`0`
`public static final int`
`T_FLOAT`
`1`
`public static final int`
`T_INT`
`3`
`public static final int`
`T_LONG`
`2`
`public static final int`
`T_SHORT`
`4`
`public static final int`
`T_STRING`
`7`
org.apache.sysds.runtime.io.FrameWriterTextCSV
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCKSIZE_J`
`32`
org.apache.sysds.runtime.io.IOUtilFunctions
Modifier and Type
Constant Field
Value
`public static final char`
`CSV_QUOTE_CHAR`
`'\"'`
`public static final String`
`EMPTY_TEXT_LINE`
`"0 0 0\n"`
`public static final String`
`LIBSVM_DELIM`
`" "`
`public static final String`
`LIBSVM_INDEX_DELIM`
`":"`
org.apache.sysds.runtime.io.ReaderTextCellParallel.CellBuffer
Modifier and Type
Constant Field
Value
`public static final int`
`CAPACITY`
`102400`
org.apache.sysds.runtime.io.WriterTextCSV
Modifier and Type
Constant Field
Value
`public static final int`
`BLOCKSIZE_J`
`32`

org.apache.sysds.runtime.io.hdf5.H5Constants
Modifier and Type
Constant Field
Value
`public static final int`
`ATTRIBUTE_MESSAGE`
`12`
`public static final int`
`DATA_LAYOUT_MESSAGE`
`8`
`public static final int`
`DATA_SPACE_MESSAGE`
`1`
`public static final int`
`DATA_TYPE_MESSAGE`
`3`
`public static final int`
`FILL_VALUE_MESSAGE`
`5`
`public static final int`
`FILTER_PIPELINE_MESSAGE`
`11`
`public static final int`
`NIL_MESSAGE`
`0`
`public static final byte`
`NULL`
`0x0`
`public static final int`
`OBJECT_MODIFICATION_TIME_MESSAGE`
`18`
`public static final int`
`STATIC_HEADER_SIZE`
`2048`
`public static final int`
`SYMBOL_TABLE_MESSAGE`
`17`
`public static final long`
`UNDEFINED_ADDRESS`
`-1L`

org.apache.sysds.runtime.io.hdf5.message.H5DataLayoutMessage
Modifier and Type
Constant Field
Value
`public static final byte`
`LAYOUT_CLASS_CHUNKED`
`0x2`
`public static final byte`
`LAYOUT_CLASS_COMPACT`
`0x0`
`public static final byte`
`LAYOUT_CLASS_CONTIGUOUS`
`0x1`
`public static final byte`
`LAYOUT_CLASS_VIRTUAL`
`0x3`

org.apache.sysds.runtime.lineage.LineageCacheConfig
Modifier and Type
Constant Field
Value
`public static final double`
`MIN_SPILL_DATA`
`2.0`
`public static final double`
`MIN_SPILL_TIME_ESTIMATE`
`10.0`
org.apache.sysds.runtime.lineage.LineageDebugger
Modifier and Type
Constant Field
Value
`public static final int`
`POS_NAN`
`0`
`public static final int`
`POS_NEGATIVE_INFINITY`
`2`
`public static final int`
`POS_POSITIVE_INFINITY`
`1`
org.apache.sysds.runtime.lineage.LineageDedupUtils
Modifier and Type
Constant Field
Value
`public static final String`
`DEDUP_DELIM`
`"_"`
org.apache.sysds.runtime.lineage.LineageItem
Modifier and Type
Constant Field
Value
`public static final String`
`dedupItemOpcode`
`"dedup"`
org.apache.sysds.runtime.lineage.LineageItemUtils
Modifier and Type
Constant Field
Value
`public static final String`
`FUNC_DELIM`
`"_"`
`public static final String`
`LPLACEHOLDER`
`"IN#"`
`public static final String`
`SERIALIZATION_OPCODE`
`"serialize"`
org.apache.sysds.runtime.lineage.LineageRecomputeUtils
Modifier and Type
Constant Field
Value
`public static final String`
`LPLACEHOLDER`
`"IN#"`

org.apache.sysds.runtime.matrix.data.CudaSupportFunctions
Modifier and Type
Constant Field
Value
`public static final boolean`
`PERFORM_CONVERSION_ON_DEVICE`
`true`
org.apache.sysds.runtime.matrix.data.LibMatrixAgg
Modifier and Type
Constant Field
Value
`public static final long`
`PAR_NUMCELL_THRESHOLD1`
`262144L`
org.apache.sysds.runtime.matrix.data.LibMatrixCountDistinct
Modifier and Type
Constant Field
Value
`public static final int`
`minimumSize`
`1024`
org.apache.sysds.runtime.matrix.data.LibMatrixMult
Modifier and Type
Constant Field
Value
`public static final int`
`L2_CACHESIZE`
`262144`
`public static final int`
`L3_CACHESIZE`
`16777216`
`public static final long`
`PAR_MINFLOP_THRESHOLD1`
`2097152L`
org.apache.sysds.runtime.matrix.data.LibMatrixReorg
Modifier and Type
Constant Field
Value
`public static final int`
`PAR_NUMCELL_THRESHOLD_SORT`
`1024`
`public static final boolean`
`SHALLOW_COPY_REORG`
`true`
`public static final boolean`
`SPARSE_OUTPUTS_IN_CSR`
`true`
`public static final boolean`
`TRANSPOSE_IN_PLACE_DENSE_LEGACY`
`true`
org.apache.sysds.runtime.matrix.data.MatrixBlock
Modifier and Type
Constant Field
Value
`public static final boolean`
`CONVERT_MCSR_TO_CSR_ON_DEEP_SERIALIZE`
`true`
`public static final int`
`HEADER_SIZE`
`9`
`public static final double`
`MAX_SHALLOW_SERIALIZE_OVERHEAD`
`2.0`
`public static final double`
`SPARSITY_TURN_POINT`
`0.4`
`public static final int`
`ULTRA_SPARSE_BLOCK_NNZ`
`40`
`public static final double`
`ULTRA_SPARSITY_TURN_POINT`
`4.0E-5`
`public static final double`
`ULTRA_SPARSITY_TURN_POINT2`
`4.0E-4`

org.apache.sysds.runtime.ooc.stream.message.OOCGetStreamTypeMessage
Modifier and Type
Constant Field
Value
`public static final byte`
`STREAM_TYPE_CACHED`
`0x1`
`public static final byte`
`STREAM_TYPE_IN_MEMORY`
`0x2`
`public static final byte`
`STREAM_TYPE_UNKNOWN`
`0x0`

org.apache.sysds.runtime.transform.TfUtils
Modifier and Type
Constant Field
Value
`public static final String`
`EXT_SPACE`
`"\u00b7\u2021\u00b7"`
`public static final String`
`JSON_ATTRS`
`"attributes"`
`public static final String`
`JSON_CONSTS`
`"constants"`
`public static final String`
`JSON_MTHD`
`"methods"`
`public static final String`
`JSON_NBINS`
`"numbins"`
`public static final String`
`TXMTD_BIN_FILE_SUFFIX`
`".bin"`
`public static final String`
`TXMTD_COLNAMES`
`"column.names"`
`public static final String`
`TXMTD_MV_FILE_SUFFIX`
`".impute"`
`public static final String`
`TXMTD_MVPREFIX`
`"#Meta\u00b7MV"`
`public static final String`
`TXMTD_NDPREFIX`
`"#Meta\u00b7ND"`
`public static final String`
`TXMTD_RCD_DISTINCT_SUFFIX`
`".ndistinct"`
`public static final String`
`TXMTD_RCD_MAP_SUFFIX`
`".map"`
`public static final String`
`TXMTD_SEP`
`","`

org.apache.sysds.runtime.transform.encode.ColumnEncoderBin
Modifier and Type
Constant Field
Value
`public static final String`
`MAX_PREFIX`
`"max"`
`public static final String`
`MIN_PREFIX`
`"min"`
`public static final int`
`MINIMUM_SAMPLE_SIZE`
`1000`
`public static final String`
`NBINS_PREFIX`
`"nbins"`
`public static final double`
`SAMPLE_FRACTION`
`0.1`

org.apache.sysds.runtime.transform.tokenize.Token
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY_TOKEN`
`""`

org.apache.sysds.runtime.transform.tokenize.applier.TokenizerApplier
Modifier and Type
Constant Field
Value
`public static final String`
`PADDING_STRING`
`""`

org.apache.sysds.runtime.util.DMVUtils
Modifier and Type
Constant Field
Value
`public static final char`
`ALPHA`
`'a'`
`public static final char`
`ARBITRARY_LEN`
`'+'`
`public static final char`
`DIGIT`
`'d'`
`public static final char`
`DOT`
`'t'`
`public static final char`
`LOWER`
`'l'`
`public static final char`
`MINUS`
`'-'`
`public static final char`
`OTHER`
`'y'`
`public static final char`
`SPACE`
`'s'`
`public static final char`
`UPPER`
`'u'`
org.apache.sysds.runtime.util.HDFSTool
Modifier and Type
Constant Field
Value
`public static final String`
`DFS_BLOCKSIZE`
`"dfs.blocksize"`
`public static final String`
`DFS_PERMISSIONS_ENABLED`
`"dfs.permissions.enabled"`
`public static final String`
`DFS_REPLICATION`
`"dfs.replication"`
`public static final String`
`FS_DEFAULTFS`
`"fs.defaultFS"`
`public static final String`
`IO_FILE_BUFFER_SIZE`
`"io.file.buffer.size"`
`public static final String`
`IO_SERIALIZATIONS`
`"io.serializations"`
`public static final boolean`
`USE_BINARYBLOCK_SERIALIZATION`
`true`
org.apache.sysds.runtime.util.LocalFileUtils
Modifier and Type
Constant Field
Value
`public static final int`
`BUFFER_SIZE`
`8192`
`public static final String`
`CATEGORY_CACHE`
`"cache"`
`public static final String`
`CATEGORY_CODEGEN`
`"codegen"`
`public static final String`
`CATEGORY_LINEAGE`
`"lineage"`
`public static final String`
`CATEGORY_PARTITIONING`
`"partitioning"`
`public static final String`
`CATEGORY_RESULTMERGE`
`"resultmerge"`
`public static final String`
`CATEGORY_WORK`
`"work"`
`public static final int`
`DOUBLE_BUFFERING_MIN`
`102400`
org.apache.sysds.runtime.util.ProgramConverter
Modifier and Type
Constant Field
Value
`public static final String`
`CDATA_BEGIN`
`"<![CDATA["`
`public static final String`
`CDATA_END`
`" ]]>"`
`public static final String`
`COMPONENTS_DELIM`
`"\u236e"`
`public static final String`
`CONF_STATS`
`"stats"`
`public static final String`
`DASH`
`"-"`
`public static final String`
`DATA_FIELD_DELIM`
`"|"`
`public static final String`
`EC_BEGIN`
`" EC: "`
`public static final String`
`EC_END`
`""`
`public static final String`
`ELEMENT_DELIM`
`"\u236a"`
`public static final String`
`ELEMENT_DELIM2`
`","`
`public static final String`
`EMPTY`
`"null"`
`public static final String`
`INST_BEGIN`
`" INST: "`
`public static final String`
`INST_END`
`""`
`public static final String`
`KEY_VALUE_DELIM`
`"="`
`public static final String`
`LEVELIN`
`"\u23a8"`
`public static final String`
`LEVELOUT`
`"\u23ac"`
`public static final String`
`LIST_ELEMENT_DELIM`
`"\t"`
`public static final String`
`NEWLINE`
`"\n"`
`public static final String`
`NOT_SUPPORTED_PB`
`"Not supported: type of program block"`
`public static final String`
`NOT_SUPPORTED_SPARK_INSTRUCTION`
`"Not supported: Instructions of type other than CP instructions"`
`public static final String`
`NOT_SUPPORTED_SPARK_PARFOR`
`"Not supported: Nested ParFOR REMOTE_SPARK due to possible deadlocks.(LOCAL can be used for innner ParFOR)"`
`public static final String`
`PARFORBODY_BEGIN`
`"<![CDATA[PARFORBODY\u23a8"`
`public static final String`
`PARFORBODY_END`
`"\u23ac ]]>"`
`public static final String`
`PB_BEGIN`
`" PB\u23a8"`
`public static final String`
`PB_EFC`
`" EFC\u23a8"`
`public static final String`
`PB_END`
`"\u23ac"`
`public static final String`
`PB_FC`
`" FC\u23a8"`
`public static final String`
`PB_FOR`
`" FOR\u23a8"`
`public static final String`
`PB_IF`
`" IF\u23a8"`
`public static final String`
`PB_PARFOR`
`" PARFOR\u23a8"`
`public static final String`
`PB_WHILE`
`" WHILE\u23a8"`
`public static final String`
`PBS_BEGIN`
`" PBS\u23a8"`
`public static final String`
`PBS_END`
`"\u23ac"`
`public static final String`
`PROG_BEGIN`
`" PROG\u23a8"`
`public static final String`
`PROG_END`
`"\u23ac"`
`public static final String`
`PSBODY_BEGIN`
`"<![CDATA[PSBODY\u23a8"`
`public static final String`
`PSBODY_END`
`"\u23ac ]]>"`
`public static final String`
`REF`
`"ref"`
`public static final String`
`VARS_BEGIN`
`"VARS: "`
`public static final String`
`VARS_END`
`""`
org.apache.sysds.runtime.util.UtilFunctions
Modifier and Type
Constant Field
Value
`public static final long`
`ADD_PRIME1`
`99991L`
`public static final int`
`DIVIDE_PRIME`
`1405695061`

org.apache.sysds.utils.DoubleParser
Modifier and Type
Constant Field
Value
`public static final int`
`DOUBLE_EXPONENT_BIAS`
`1023`
`public static final int`
`DOUBLE_MAX_EXPONENT_POWER_OF_TEN`
`308`
`public static final int`
`DOUBLE_MAX_EXPONENT_POWER_OF_TWO`
`1023`
`public static final int`
`DOUBLE_MIN_EXPONENT_POWER_OF_TEN`
`-325`
`public static final int`
`DOUBLE_SIGNIFICAND_WIDTH`
`53`
`public static final String`
`ILLEGAL_OFFSET_OR_ILLEGAL_LENGTH`
`"offset < 0 or length > str.length"`
`public static final int`
`MAX_EXPONENT_NUMBER`
`1024`
`public static final long`
`MINIMAL_NINETEEN_DIGIT_INTEGER`
`1000000000000000000L`
`public static final String`
`SYNTAX_ERROR`
`"illegal syntax"`

org.apache.sysds.utils.stats.InfrastructureAnalyzer
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_JVM_SIZE`
`536870912L`
`public static final String`
`MR_FRAMEWORK_NAME`
`"mapreduce.framework.name"`
`public static final String`
`MR_JOBTRACKER_ADDRESS`
`"mapreduce.jobtracker.address"`